﻿<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output method="html"/>

<xsl:param name="absolutelinks">false</xsl:param>

<xsl:include href="shared_templates.xsl"/>

<!-- the main template -->
<xsl:template match="/">
  <HEAD>
    <LINK REL="StyleSheet" TYPE="text/css" HREF="exportdetails_item_wizd.css"></LINK>
    <META http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
	<META SYABAS-BACKGROUND="/imagev_back.jpg"/>
    <TITLE><xsl:value-of select="movieinfo/movielist/movie/title"/></TITLE>
  </HEAD>
  <BODY marginheight="10" marginwidth="0" leftmargin="0" rightmargin="0" topmargin="10" bottommargin="0" border="0" class="bodybg" background="/imagev_back.jpg">
    <xsl:apply-templates select="movieinfo/navigation"/>
    <xsl:apply-templates select="movieinfo/movielist"/>    
  </BODY>
</xsl:template>

<xsl:template match="movie">
<table border="0" cellspacing="0" cellpadding="0" width="100%" class="maintable"><tr><td>
<table border="0" cellspacing="1" cellpadding="0" width="100%">
  <tr>
    <td class="maintitle" width="100%"> 
   <xsl:value-of select="title"/>
   <xsl:if test="titleextension!=''">
     <xsl:text> - </xsl:text>
     <xsl:value-of select="titleextension"/>
   </xsl:if>
   <xsl:if test="releasedate!=''">
     <xsl:text> (</xsl:text><xsl:value-of select="releasedate/year/displayname"/>)
   </xsl:if>
   <xsl:text> - </xsl:text>
   <xsl:value-of select="imdbrating"/>
   </td>
</tr>
</table>
  <table border="0" cellspacing="1" cellpadding="0" width="100%">
  <tr>
  <xsl:if test="coverfront!=''">
    <td class="subtitle" height="17">
      <xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfCoverFront']/@label"/>
    </td>
  </xsl:if>
    <td class="subtitle" height="17" align="left"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfActor']/@label"/></td>
  <xsl:if test="coverback!=''">
    <td class="subtitle" height="17" align="left"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfCoverBack']/@label"/></td>
  </xsl:if>
  </tr>
  <tr valign="top">
    <xsl:if test="coverfront!=''">
      <td width="1">
         <xsl:choose>
           <xsl:when test="$absolutelinks = 'true'">
             <a href="file:///{coverfront}"><img src="file:///{coverfront}" border="0" width="200"/></a>
           </xsl:when>
           <xsl:otherwise>
		<xsl:variable name="extf" select="substring(coverfront, string-length(coverfront) - 2)"/>
             <a href="../images/{id}f.{$extf}?action=ImageView&amp;option=fit"><img src="../images/{id}f.{$extf}" border="0" width="200"/></a>
           </xsl:otherwise>
         </xsl:choose>
      </td>
    </xsl:if>
    <td class="detailsbg" valign="top">
      <xsl:if test="cast!=''">
        <table border="0" cellspacing="0" cellpadding="0" width="100%">
           <tr valign="top">
              <td>
                <table border="0" cellspacing="1" cellpadding="0" width="100%">
                   <xsl:for-each select="cast/star">
                     <tr>
                       <td class="cellvalue" width="10%" nowrap="1"><xsl:apply-templates select="person"/></td>
                       
                         <td class="celllabel"><xsl:if test="character!=''"><i><xsl:value-of select="character"/></i></xsl:if></td>
                     </tr>
                   </xsl:for-each>
                </table>
              </td>
           </tr>
        </table>
      </xsl:if>
     </td>
    <xsl:if test="coverback!=''">
      <td align="right" width="1">
         <xsl:choose>
           <xsl:when test="$absolutelinks = 'true'">
             <a href="file:///{coverback}"><img src="file:///{coverback}" border="0" width="200"/></a>
           </xsl:when>
           <xsl:otherwise>
		<xsl:variable name="extb" select="substring(coverback, string-length(coverback) - 2)"/>
	        <a href="../images/{id}b.{$extb}?action=ImageView&amp;option=fit"><img src="../images/{id}b.{$extb}" border="0" width="200"/></a>
           </xsl:otherwise>
         </xsl:choose>
      </td>
    </xsl:if>
   </tr>
 </table>
 <xsl:if test="plot!=''">
   <table border="0" cellspacing="1" cellpadding="0" width="100%">
     <tr><td class="subtitle" height="17" align="left">
        <xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfPlot']/@label"/>
      </td></tr>
      <tr><td class="cellalt">
         <xsl:call-template name="break">
           <xsl:with-param name="text" select="plot"/>
         </xsl:call-template>
      </td></tr>
    </table>
  </xsl:if>
  <xsl:if test="notes!=''">
    <table border="0" cellspacing="1" cellpadding="0" width="100%">
      <tr><td class="subtitle" height="17" align="left">
        <b><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfNotes']/@label"/></b>
      </td></tr>
      <tr><td class="cellalt">
         <xsl:call-template name="break">
           <xsl:with-param name="text" select="notes"/>
         </xsl:call-template></td>
      </tr>
    </table>
  </xsl:if>
  <xsl:if test="extrafeatures!=''">
    <table border="0" cellspacing="1" cellpadding="0" width="100%">
     <tr><td class="subtitle" height="17" align="left">
       <b><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfExtraFeatures']/@label"/></b></td></tr>
     <tr><td class="cellalt">
         <xsl:call-template name="break">
           <xsl:with-param name="text" select="extrafeatures"/>
         </xsl:call-template></td>
      </tr>
    </table>
  </xsl:if>
 <table border="0" cellspacing="1" cellpadding="0" width="100%">
    <tr><td class="subtitle" height="17" align="left" colspan="2"><xsl:value-of select="/movieinfo/localizedtemplatetexts/field[@id='ttMovieDetails']/@label"/></td></tr>
    <tr><td valign="top" width="50%" class="detailsbg">
    
     <table border="0" cellspacing="1" cellpadding="0" width="100%">
        <xsl:if test="originaltitle!=''">
          <tr valign="top">
            <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfOriginalTitle']/@label"/></td>
            <td class="cellvalue"><xsl:value-of select="originaltitle"/></td>
          </tr>
        </xsl:if>
          <xsl:if test="genres!=''">
           <tr valign="top">
              <td width="10%" nowrap="1" class="celllabel">
                <xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfGenre']/@label"/>
              </td>
              <td class="cellvalue">
                 <xsl:for-each select="genres/genre">
                   <xsl:value-of select="displayname"/>
                   <xsl:if test="position()!=last()"><xsl:text>; </xsl:text></xsl:if>
                 </xsl:for-each>
              </td>
           </tr>
         </xsl:if>
         <xsl:if test="crew/crewmember[roleid='dfDirector']!=''">
           <tr valign="top">
              <td width="10%" nowrap="1" class="celllabel">
                <xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfDirector']/@label"/>
              </td>
              <td class="cellvalue">
                 <xsl:for-each select="crew/crewmember[roleid='dfDirector']">
                     <xsl:apply-templates select="person"/>
                   <xsl:if test="position()!=last()"><xsl:text>; </xsl:text></xsl:if>
                 </xsl:for-each>
              </td>
           </tr>
         </xsl:if>
         <xsl:if test="crew/crewmember[roleid='dfProducer']!=''">
           <tr valign="top">
              <td width="10%" nowrap="1" class="celllabel">
                <xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfProducer']/@label"/>
              </td>
              <td class="cellvalue">
                 <xsl:for-each select="crew/crewmember[roleid='dfProducer']">
                   <xsl:apply-templates select="person"/>
                   <xsl:if test="position()!=last()"><xsl:text>; </xsl:text></xsl:if>
                 </xsl:for-each>
              </td>
           </tr>
         </xsl:if>
         <xsl:if test="crew/crewmember[roleid='dfWriter']!=''">
           <tr valign="top">
              <td width="10%" nowrap="1" class="celllabel">
                <xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfWriter']/@label"/>
              </td>
              <td class="cellvalue">
                 <xsl:for-each select="crew/crewmember[roleid='dfWriter']">
                   <xsl:apply-templates select="person"/>
                   <xsl:if test="position()!=last()"><xsl:text>; </xsl:text></xsl:if>
                 </xsl:for-each>
              </td>
           </tr>
         </xsl:if>
         <xsl:if test="crew/crewmember[roleid='dfCamera']!=''">
           <tr valign="top">
              <td width="10%" nowrap="1" class="celllabel">
                <xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfCamera']/@label"/>
              </td>
              <td class="cellvalue">
                 <xsl:for-each select="crew/crewmember[roleid='dfCamera']">
                   <xsl:apply-templates select="person"/>
                   <xsl:if test="position()!=last()"><xsl:text>; </xsl:text></xsl:if>
                 </xsl:for-each>
              </td>
           </tr>
         </xsl:if>
         <xsl:if test="crew/crewmember[roleid='dfMusic']!=''">
           <tr valign="top">
              <td width="10%" nowrap="1" class="celllabel">
                <xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfMusic']/@label"/>
              </td>
              <td class="cellvalue">
                 <xsl:for-each select="crew/crewmember[roleid='dfMusic']">
                   <xsl:apply-templates select="person"/>
                   <xsl:if test="position()!=last()"><xsl:text>; </xsl:text></xsl:if>
                 </xsl:for-each>
              </td>
           </tr>
         </xsl:if>
         <xsl:if test="studios!=''">
           <tr valign="top">
              <td width="10%" nowrap="1" class="celllabel">
                <xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfStudio']/@label"/>
              </td>
              <td class="cellvalue">
                 <xsl:for-each select="studios/studio">
                   <xsl:value-of select="displayname"/>
                   <xsl:if test="position()!=last()"><xsl:text>; </xsl:text></xsl:if>
                 </xsl:for-each>
              </td>
           </tr>
         </xsl:if>
        <xsl:if test="series!=''">
          <tr valign="top">
            <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfSeries']/@label"/></td>
            <td class="cellvalue"><xsl:value-of select="series/displayname"/></td>
          </tr>
        </xsl:if>
     </table></td>
    <td valign="top" class="detailsbg">
       <table border="0" cellspacing="1" cellpadding="0" width="100%">
        <xsl:if test="language!=''">
          <tr valign="top">
            <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfLanguage']/@label"/></td>
            <td class="cellvalue"><xsl:value-of select="language/displayname"/></td>
          </tr>
        </xsl:if>
        <xsl:if test="mpaarating!=''">
          <tr valign="top">
            <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfMPAARating']/@label"/></td>
            <td class="cellvalue"><xsl:value-of select="mpaarating/displayname"/></td>
          </tr>
        </xsl:if>
        <xsl:if test="runtime!=''">
          <tr valign="top">
            <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfRunTime']/@label"/></td>
            <td class="cellvalue"><xsl:value-of select="runtime"/></td>
          </tr>
        </xsl:if>
        <xsl:if test="country!=''">
          <tr valign="top">
            <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfCountry']/@label"/></td>
            <td class="cellvalue"><xsl:value-of select="country/displayname"/></td>
          </tr>
        </xsl:if>
        <xsl:if test="color!=''">
          <tr valign="top">
            <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfColor']/@label"/></td>
            <td class="cellvalue"><xsl:value-of select="color"/></td>
          </tr>
        </xsl:if>
        <xsl:if test="imdbrating!=''">
          <tr valign="top">
            <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfIMDBRating']/@label"/></td>
            <td class="cellvalue"><xsl:value-of select="imdbrating"/></td>
          </tr>
        </xsl:if>
       </table></td></tr>
 </table>

  <table border="0" cellspacing="1" cellpadding="0" width="100%">
    <tr><td valign="top" class="detailsbg" width="50%">
      <table border="0" cellspacing="1" cellpadding="0" width="100%">
       <tr><td class="subtitle" height="17" align="left" colspan="2"><xsl:value-of select="/movieinfo/localizedtemplatetexts/field[@id='ttPersonalDetails']/@label"/></td></tr>
      <xsl:if test="myrating!='0'">
         <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfMyRating']/@label"/></td>
          <td class="cellvalue">
            <xsl:value-of select="myrating"/>
          </td>  
         </tr>
      </xsl:if>
      <xsl:if test="seenit!=''">
         <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfSeenIt']/@label"/></td>
          <td class="cellvalue"><xsl:value-of select="seenit"/></td>
         </tr>
      </xsl:if>
      <xsl:if test="viewingdate!=''">
         <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfSeenWhen']/@label"/></td>
          <td class="cellvalue"><xsl:value-of select="viewingdate/date"/></td>
         </tr>
      </xsl:if>
      <xsl:if test="seenwhere!=''">
         <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfSeenWhere']/@label"/></td>
          <td class="cellvalue"><xsl:value-of select="seenwhere"/></td>
         </tr>
      </xsl:if>
      <xsl:if test="index!='0'">
         <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfIndex']/@label"/></td>
          <td class="cellvalue"><xsl:value-of select="index"/></td>
         </tr>
      </xsl:if>
      <xsl:if test="collectionstatus!=''">
         <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfCollectionStatus']/@label"/></td>
          <td class="cellvalue"><xsl:value-of select="collectionstatus"/></td>
         </tr>
      </xsl:if>
      <xsl:if test="purchasedate!=''">
         <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfPurchaseDate']/@label"/></td>
          <td class="cellvalue"><xsl:value-of select="purchasedate/date"/></td>
         </tr>
      </xsl:if>
      <xsl:if test="purchaseprice!=''">
         <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfPurchasePrice']/@label"/></td>
          <td class="cellvalue"><xsl:value-of select="purchaseprice"/></td>
         </tr>
      </xsl:if>
      <xsl:if test="condition!=''">
         <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfCondition']/@label"/></td>
          <td class="cellvalue"><xsl:value-of select="condition/displayname"/></td>
         </tr>
      </xsl:if>
      <xsl:if test="quantity>'1'">
         <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfQuantity']/@label"/></td>
          <td class="cellvalue"><xsl:value-of select="quantity"/></td>
         </tr>
      </xsl:if>
      <xsl:if test="currentvalue!=''">
         <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfCurrentValue']/@label"/></td>
          <td class="cellvalue"><xsl:value-of select="currentvalue"/></td>
         </tr>
      </xsl:if>
      <xsl:if test="store!=''">
         <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfStore']/@label"/></td>
          <td class="cellvalue"><xsl:value-of select="store/displayname"/></td>
         </tr>
      </xsl:if>
      <xsl:if test="location!=''">
         <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfLocation']/@label"/></td>
          <td class="cellvalue"><xsl:value-of select="location/displayname"/></td>
         </tr>
      </xsl:if>
      <xsl:if test="storagedevice!=''">
         <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfStorageDevice']/@label"/></td>
          <td class="cellvalue"><xsl:value-of select="storagedevice/displayname"/></td>
         </tr>
      </xsl:if>
      <xsl:if test="storageslot!=''">
         <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfStorageSlot']/@label"/></td>
          <td class="cellvalue"><xsl:value-of select="storageslot"/></td>
         </tr>
      </xsl:if>
      <xsl:if test="tapelabel!=''">
         <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfTapeLabel']/@label"/></td>
          <td class="cellvalue"><xsl:value-of select="tapelabel/displayname"/></td>
         </tr>
      </xsl:if>
      <xsl:if test="tapespeed/@listid!='0'">
         <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfTapeSpeed']/@label"/></td>
          <td class="cellvalue"><xsl:value-of select="tapespeed"/></td>
         </tr>
      </xsl:if>
      <xsl:if test="startpos!=''">
         <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfStartPos']/@label"/></td>
          <td class="cellvalue"><xsl:value-of select="startpos"/></td>
         </tr>
      </xsl:if>
      <xsl:if test="owner!=''">
         <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfOwner']/@label"/></td>
          <td class="cellvalue"><xsl:value-of select="owner/displayname"/></td>
         </tr>
      </xsl:if>

      <xsl:if test="links!=''">
         <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfLinks']/@label"/></td>
          <td class="cellvalue">
            <xsl:apply-templates select="links"/>
          </td>
         </tr>
      </xsl:if>

      <xsl:if test="loan/loanedto!=''">
         <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfLoaner']/@label"/></td>
          <td class="cellvalue"><xsl:value-of select="loan/loanedto/displayname"/></td>
         </tr>
      </xsl:if>
      <xsl:if test="loan/loandate!=''">
         <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfLoanDate']/@label"/></td>
          <td class="cellvalue"><xsl:value-of select="loan/loandate/date"/></td>
         </tr>
      </xsl:if>
      <xsl:if test="loan/duedate!=''">
         <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfDueDate']/@label"/></td>
          <td class="cellvalue"><xsl:value-of select="loan/duedate/date"/></td>
         </tr>
      </xsl:if>
      <xsl:if test="loan/returndate/date!=''">
         <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfReturnDate']/@label"/></td>
          <td class="cellvalue"><xsl:value-of select="loan/returndate/date"/></td>
         </tr>
      </xsl:if>
      <xsl:if test="loan/loannotes!=''">
         <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfLoanNotes']/@label"/></td>
          <td class="cellvalue"><xsl:value-of select="loan/loannotes"/></td>
         </tr>
      </xsl:if>
      <xsl:if test="loan/overdue!='False'">
         <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfIsOverdue']/@label"/></td>
          <td class="cellvalue"><xsl:value-of select="loan/overdue"/></td>
         </tr>
      </xsl:if>
      <xsl:if test="userlookup1!=''"> 
         <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfUserLookup1']/@label"/></td>
          <td class="cellvalue"><xsl:apply-templates select="userlookup1"/></td>
         </tr>
      </xsl:if>
      <xsl:if test="userlookup2!=''"> 
         <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfUserLookup2']/@label"/></td>
          <td class="cellvalue"><xsl:apply-templates select="userlookup2"/></td>
         </tr>
      </xsl:if>
      <xsl:if test="usertext1!=''"> 
         <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfUserText1']/@label"/></td>
          <td class="cellvalue"><xsl:value-of select="usertext1"/></td>
         </tr>
      </xsl:if>
      <xsl:if test="usertext2!=''"> 
         <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfUserText2']/@label"/></td>
          <td class="cellvalue"><xsl:value-of select="usertext2"/></td>
         </tr>
      </xsl:if>

     </table>
    </td>
    <td valign="top" class="detailsbg">
      <table border="0" cellspacing="1" cellpadding="0" width="100%">
       <tr><td class="subtitle" height="17" align="left" colspan="2"><xsl:value-of select="/movieinfo/localizedtemplatetexts/field[@id='ttProductDetails']/@label"/></td></tr>
      <xsl:if test="edition!=''">
         <tr valign="top">
           <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfEdition']/@label"/></td>
           <td class="cellvalue"><xsl:value-of select="edition/displayname"/></td>
         </tr>
      </xsl:if>
      <xsl:if test="format!=''">
         <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfFormat']/@label"/></td>
          <td class="cellvalue"><xsl:value-of select="format/displayname"/></td>
         </tr>
      </xsl:if>
      <xsl:if test="regions/region!=''">
        <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1">
            <xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfRegion']/@label"/>
          </td>
          <td class="cellvalue">
             <xsl:for-each select="regions/region">
               <xsl:value-of select="displayname"/>
               <xsl:if test="position()!=last()"><xsl:text>; </xsl:text></xsl:if>
             </xsl:for-each>
          </td>
        </tr>
      </xsl:if>
      <xsl:if test="ratios/ratio!=''">
        <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1">
            <xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfRatio']/@label"/>
          </td>
          <td class="cellvalue">
             <xsl:for-each select="ratios/ratio">
               <xsl:value-of select="displayname"/>
               <xsl:if test="position()!=last()"><br/></xsl:if>
             </xsl:for-each>
          </td>
        </tr>
      </xsl:if>
      <xsl:if test="layersnum!='4'">
         <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfLayers']/@label"/></td>
          <td class="cellvalue"><xsl:value-of select="layers"/></td>
         </tr>
      </xsl:if>
      <xsl:if test="upc!=''">
         <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfUPC']/@label"/></td>
          <td class="cellvalue"><xsl:value-of select="upc"/></td>
         </tr>
      </xsl:if>
      <xsl:if test="chapters!='0'">
         <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfChapters']/@label"/></td>
          <td class="cellvalue"><xsl:value-of select="chapters"/></td>
         </tr>
      </xsl:if>
      <xsl:if test="dvdreleasedate!=''">
         <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfDVDReleaseDate']/@label"/></td>
          <td class="cellvalue"><xsl:value-of select="dvdreleasedate/date"/></td>
         </tr>
      </xsl:if>
      <xsl:if test="subtitles/subtitle!=''">
        <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1">
            <xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfSubtitles']/@label"/>
          </td>
          <td class="cellvalue">
             <xsl:for-each select="subtitles/subtitle">
               <xsl:value-of select="displayname"/>
               <xsl:if test="position()!=last()"><xsl:text>; </xsl:text></xsl:if>
             </xsl:for-each>
          </td>
        </tr>
      </xsl:if>
      <xsl:if test="package!=''">
         <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfPackage']/@label"/></td>
          <td class="cellvalue"><xsl:value-of select="package/displayname"/></td>
         </tr>
      </xsl:if>
      <xsl:if test="features/feature!=''">
        <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1">
            <xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfFeatures']/@label"/>
          </td>
          <td class="cellvalue">
             <xsl:for-each select="features/feature">
                 <xsl:value-of select="displayname"/>
                 <xsl:if test="position()!=last()"><br/></xsl:if>
             </xsl:for-each>
          </td>
        </tr>
      </xsl:if>
      <xsl:if test="audios/audio!=''">
        <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1">
            <xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfAudio']/@label"/>
          </td>
          <td class="cellvalue">
             <xsl:for-each select="audios/audio">
               <xsl:value-of select="displayname"/>
               <xsl:if test="position()!=last()"><br/></xsl:if>
             </xsl:for-each>
           </td>
        </tr>
      </xsl:if>
      <xsl:if test="nritems!=''">
        <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfNrItems']/@label"/></td>
          <td class="cellvalue"><xsl:value-of select="nritems"/></td>
         </tr>
      </xsl:if>
     </table></td>
   </tr>
</table>
  
 </td></tr></table>
</xsl:template>

<xsl:template match="navigation">
<table border="0" cellspacing="0" cellpadding="0" width="30%">
<tr>
  <xsl:choose>
    <xsl:when test="firstlink/@url!=''">
      <td align="center" valign="top" class="value">
      <a href="{firstlink/@url}" class="navigate"><xsl:value-of select="/movieinfo/localizedtemplatetexts/field[@id='ttFirst']/@label"/></a>|</td>
    </xsl:when>
    <xsl:otherwise>
      <td align="center" valign="top" class="value"><xsl:value-of select="/movieinfo/localizedtemplatetexts/field[@id='ttFirst']/@label"/>|</td>
    </xsl:otherwise>
  </xsl:choose>   
  <xsl:choose>
    <xsl:when test="prevlink/@url!=''">
      <td align="center" valign="top" class="value">
      <a href="{prevlink/@url}" class="navigate"><xsl:value-of select="/movieinfo/localizedtemplatetexts/field[@id='ttPrev']/@label"/></a>|</td>
    </xsl:when>
    <xsl:otherwise>
      <td align="center" valign="top" class="value"><xsl:value-of select="/movieinfo/localizedtemplatetexts/field[@id='ttPrev']/@label"/>|</td>
    </xsl:otherwise>
  </xsl:choose>   
  <xsl:choose>
    <xsl:when test="uplink/@url!=''">
      <td align="center" valign="top" class="value">
      <a href="{uplink/@url}" class="navigate" tvid="esc"><xsl:value-of select="/movieinfo/localizedtemplatetexts/field[@id='ttUp']/@label"/></a>|</td>
    </xsl:when>
    <xsl:otherwise>
      <td align="center" valign="top" class="value"><xsl:value-of select="/movieinfo/localizedtemplatetexts/field[@id='ttUp']/@label"/>|</td>
    </xsl:otherwise>
  </xsl:choose>   
  <xsl:choose>
    <xsl:when test="nextlink/@url!=''">
      <td align="center" valign="top" class="value">
      <a href="{nextlink/@url}" class="navigate"><xsl:value-of select="/movieinfo/localizedtemplatetexts/field[@id='ttNext']/@label"/></a>|</td>
    </xsl:when>
    <xsl:otherwise>
      <td align="center" valign="top" class="value"><xsl:value-of select="/movieinfo/localizedtemplatetexts/field[@id='ttNext']/@label"/>|</td>
    </xsl:otherwise>
  </xsl:choose>   
  <xsl:choose>
    <xsl:when test="lastlink/@url!=''">
      <td align="center" valign="top" class="value">
      <a href="{lastlink/@url}" class="navigate"><xsl:value-of select="/movieinfo/localizedtemplatetexts/field[@id='ttLast']/@label"/></a>
      </td>
    </xsl:when>
    <xsl:otherwise>
      <td align="center" valign="top" class="value"><xsl:value-of select="/movieinfo/localizedtemplatetexts/field[@id='ttLast']/@label"/></td>
    </xsl:otherwise>
  </xsl:choose>   
</tr>
</table>
</xsl:template>

</xsl:stylesheet>


<!-- Headers like 'Personal Details' cannot be customized or skipped -->

