﻿<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output method="html"/>

<xsl:param name="details">false</xsl:param>
<xsl:param name="absolutelinks">false</xsl:param>
<xsl:param name="thumbnails">false</xsl:param>
<xsl:param name="indextablecols">6</xsl:param>
<xsl:param name="thumbshowcaption">true</xsl:param>

<!-- process a lookup item -->
<xsl:template match="node()[displayname!='']">
  <xsl:choose>
    <xsl:when test="url!=''">
      <a href="{url}"><xsl:value-of select="displayname"/></a>
    </xsl:when>
    <xsl:otherwise>
      <xsl:value-of select="displayname"/>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<!-- the main template -->
<xsl:template match="/">
  <HEAD>
    <LINK REL="StyleSheet" TYPE="text/css" HREF="exportindex_item_wizd.css"></LINK>
    <META http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
	<META SYABAS-BACKGROUND="/imagev_back.jpg"/>
    <TITLE>Movie List</TITLE>
  </HEAD>
  <BODY  marginheight="10" marginwidth="14" leftmargin="0" topmargin="0" border="0" link="#ccffff" text="#ccffff" vlink="#ccffff" alink="#ccffff" bgcolor="#ffffff" focuscolor="00CC99" onloadset="L1" background="/imagev_back.jpg">
	<table>
	<tr><td width="200">&nbsp;</td></tr>
	<tr><td>&nbsp;</td>
	<td>
    <span class="title"><FONT color="#000000" SIZE="+1">Movie List</FONT></span>
    <xsl:apply-templates select="movieinfo/navigation"/>    
	</td></tr>
	</table>
    <table width="100%" cellspacing="0" cellpadding="2" border="0">
	  <tr valign="top">
	    <td height="350" width="1">
		  <table width="100%" cellspacing="0" cellpadding="2" border="0">
		    <tr><td><wizd>menu</wizd></td></tr>
		  </table>
		</td>
	    <td>
		  <table width="100%" cellspacing="0" cellpadding="2" border="0">
    <xsl:apply-templates select="movieinfo/movielist"/>
		  </table>
	    </td>
	  </tr>
    </table>
    <xsl:if test="'Yes'='No'">
      <div class="value"><xsl:value-of select="//@creationdate"/></div>
    </xsl:if>
  </BODY>
</xsl:template>

<xsl:template match="movielist">
  <xsl:for-each select="movie[position() mod $indextablecols = 1]">
    <tr>
      <xsl:apply-templates select=". | following-sibling::movie[position() &lt; $indextablecols]"/>
    </tr>
  </xsl:for-each>
</xsl:template>

<xsl:template match="movie">
   <xsl:if test="$thumbnails = 'true'">
     <xsl:choose>
     <xsl:when test="thumbfilepath!=''">
        <xsl:choose>
          <xsl:when test="$details = 'true'">
            <xsl:choose>
              <xsl:when test="title!=''">
                <xsl:choose>
                  <xsl:when test="$thumbshowcaption = 'true'">
<td width="16%">
<table width="100%" cellspacing="0" cellpadding="0" border="0">
<tr><td align="center">
<a href="details/{id}.html" >
<img src="images/{id}t.jpg" width="93" height="125" border="0"/>
</a>
</td></tr><tr><td align="center">
<a href="{seenwhere}" name="L1">
<xsl:value-of select="substring(title,1,10)"/>
</a>
</td></tr><tr><td align="center">
<xsl:value-of select="runtime"/>
</td></tr></table>
</td>
                  </xsl:when>
              	  <xsl:otherwise>
<td valign="top">
<a href="details/{id}.html" title="{title}"><img src="images/{id}t.jpg" title="{title}"/></a>
</td>
                  </xsl:otherwise>            
                </xsl:choose>
              </xsl:when>
              <xsl:otherwise>
<td valign="top">
<a href="details/{id}.html" title="{id}"><img src="images/{id}t.jpg" title="{id}"/></a>
</td>
              </xsl:otherwise>            
            </xsl:choose>
          </xsl:when>
          <xsl:otherwise>
            <xsl:choose>
              <xsl:when test="$absolutelinks = 'true'">
                <xsl:if test="coverfront!=''">
                  <xsl:choose>
                    <xsl:when test="title!=''">
                      <xsl:choose>
                        <xsl:when test="$thumbshowcaption = 'true'">
<td valign="top">
<a href="file:///{filepath}" title="{title}"><img src="images/{id}t.jpg" title="{title}" border="0"/></a><br/><a href="file:///{filepath}" title="{title}"><xsl:value-of select="title"/></a>
</td>
                        </xsl:when>
              	        <xsl:otherwise>
<td valign="top">
<a href="file:///{filepath}" title="{title}"><img src="images/{id}t.jpg" title="{title}" border="0"/></a>
</td>
                        </xsl:otherwise>            
                      </xsl:choose>
                    </xsl:when>
                    <xsl:otherwise>
<td valign="top">
<a href="file:///{filepath}" title="{id}"><img src="images/{id}t.jpg" title="{id}"/></a>
</td>
                    </xsl:otherwise>            
                  </xsl:choose>
                </xsl:if>
              </xsl:when>
              <xsl:otherwise>
                <xsl:choose>
                  <xsl:when test="title!=''">
                    <xsl:choose>
                      <xsl:when test="$thumbshowcaption = 'true'">
<td valign="top">
<a href="images/{id}f.jpg" title="{title}"><img src="images/{id}t.jpg" title="{title}"/></a><br/><a href="images/{id}f.jpg" title="{title}"><xsl:value-of select="title"/></a>
</td>
                      </xsl:when>
           	      <xsl:otherwise>
<td valign="top">
<a href="images/{id}f.jpg" title="{title}"><img src="images/{id}t.jpg" title="{title}"/></a>
</td>
                      </xsl:otherwise>
                    </xsl:choose>
                  </xsl:when>
                  <xsl:otherwise>
<td valign="top">
<a href="images/{id}f.jpg" title="{id}"><img src="images/{id}t.jpg" title="{id}"/></a>
</td>
                  </xsl:otherwise>            
                </xsl:choose>
              </xsl:otherwise>
            </xsl:choose>
          </xsl:otherwise>
        </xsl:choose>
     </xsl:when>
     <xsl:otherwise>
        <xsl:choose>
          <xsl:when test="$details = 'true'">
            <xsl:choose>
              <xsl:when test="title!=''">
                <xsl:choose>
                  <xsl:when test="$thumbshowcaption = 'true'">
<td valign="top">
<a href="details/{id}.html" title="{title}"><img src="images/mainitem.jpg" title="{title}"/></a><br/><a href="details/{id}.html" title="{title}"><xsl:value-of select="title"/></a>
</td>
                  </xsl:when>
              	  <xsl:otherwise>
<td valign="top">
<a href="details/{id}.html" title="{title}"><img src="images/mainitem.jpg" title="{title}"/></a>
</td>
                  </xsl:otherwise>            
                </xsl:choose>
              </xsl:when>
              <xsl:otherwise>
<td valign="top">
<a href="details/{id}.html" title="{id}"><img src="images/mainitem.jpg" title="{id}"/></a>
</td>
              </xsl:otherwise>            
            </xsl:choose>
          </xsl:when>
          <xsl:otherwise>
            <xsl:choose>
              <xsl:when test="title!=''">
                <xsl:choose>
                  <xsl:when test="$thumbshowcaption = 'true'">
<td valign="top">
<a href="" title="{title}"><img src="images/mainitem.jpg" title="{title}"/></a><br/><a href="" title="{title}"><xsl:value-of select="title"/></a>
</td>
                  </xsl:when>
              	  <xsl:otherwise>
<td valign="top">
<a href="" title="{title}"><img src="images/mainitem.jpg" title="{title}"/></a>
</td>
                  </xsl:otherwise>            
                </xsl:choose>
              </xsl:when>
              <xsl:otherwise>
<td valign="top">
<a href="" title="{id}"><img src="images/mainitem.jpg" title="{id}"/></a>
</td>
              </xsl:otherwise>            
            </xsl:choose>
          </xsl:otherwise>
        </xsl:choose>
     </xsl:otherwise>
     </xsl:choose>
   </xsl:if>         
   <xsl:if test="(last() &gt; $indextablecols) and (last()=position()) and (position() mod $indextablecols &gt; 0)">
      <xsl:variable name="filledCells" select="position() mod $indextablecols"/>
      <td colspan="{$indextablecols - $filledCells}">&#160;</td>
   </xsl:if>   
</xsl:template>

<xsl:template match="navigation">
  <xsl:if test="count(pagelink) > 1">
  <xsl:for-each select="pagelink">
    <xsl:choose>
      <xsl:when test="@url!=''">      
<a href="{@url}" class="link"><FONT color="#000000" SIZE="+1"><xsl:value-of select="@pagenum"/></FONT></a>
      </xsl:when>
      <xsl:otherwise>
	<FONT color="#000000" SIZE="+1"><xsl:value-of select="@pagenum"/></FONT>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="position()!=last()"><xsl:text>|</xsl:text></xsl:if>
  </xsl:for-each>  
  <xsl:choose>
    <xsl:when test="firstlink/@url!=''">
      <a href="{firstlink/@url}" class="link"><FONT color="#000000" SIZE="+1"><xsl:value-of select="/movieinfo/localizedtemplatetexts/field[@id='ttFirst']/@label"/></FONT></a>|
    </xsl:when>
    <xsl:otherwise>
      <FONT color="#000000" SIZE="+1"><xsl:value-of select="/movieinfo/localizedtemplatetexts/field[@id='ttFirst']/@label"/>|</FONT>
    </xsl:otherwise>
  </xsl:choose>   
  <xsl:choose>
    <xsl:when test="prevlink/@url!=''">
      <a href="{prevlink/@url}" class="link" tvid="pgup"><FONT color="#000000" SIZE="+1"><xsl:value-of select="/movieinfo/localizedtemplatetexts/field[@id='ttPrev']/@label"/></FONT></a>|
    </xsl:when>
    <xsl:otherwise>
      <FONT color="#000000" SIZE="+1"><xsl:value-of select="/movieinfo/localizedtemplatetexts/field[@id='ttPrev']/@label"/>|</FONT>
    </xsl:otherwise>
  </xsl:choose>   
  <xsl:choose>
    <xsl:when test="nextlink/@url!=''">
      <a href="{nextlink/@url}" class="link" tvid="pgdn"><FONT color="#000000" SIZE="+1"><xsl:value-of select="/movieinfo/localizedtemplatetexts/field[@id='ttNext']/@label"/></FONT></a>|
    </xsl:when>
    <xsl:otherwise>
      <FONT color="#000000" SIZE="+1"><xsl:value-of select="/movieinfo/localizedtemplatetexts/field[@id='ttNext']/@label"/>|</FONT>
    </xsl:otherwise>
  </xsl:choose>   
  <xsl:choose>
    <xsl:when test="lastlink/@url!=''">
      <a href="{lastlink/@url}" class="link"><FONT color="#000000" SIZE="+1"><xsl:value-of select="/movieinfo/localizedtemplatetexts/field[@id='ttLast']/@label"/></FONT></a>
    </xsl:when>
    <xsl:otherwise>
      <FONT color="#000000" SIZE="+1"><xsl:value-of select="/movieinfo/localizedtemplatetexts/field[@id='ttLast']/@label"/></FONT>
    </xsl:otherwise>
  </xsl:choose> 
 </xsl:if>
</xsl:template>

</xsl:stylesheet>

