<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<!-- Template by DaveC modified by kbrown3                                  -->
<!-- Template name Aqua II                                                  -->
<!-- File name DaveC5.0.0                                                   -->
<!-- Release date 7 May 2006                                                -->
<!-- Please feel free to edit this template to your own specifications      -->
<!-- I would like a copy of any changes made if possible. This will help me -->
<!-- with new template designs. -->
<!-- Send any comments, questions or changed templates to movies@KnightDT.com-->


<!-- Used to retrieve all Variables -->
<!-- ACTORS               -->  <xsl:variable name="nrOfActors">10</xsl:variable>
<!-- DIRECRORS            -->  <xsl:variable name="nrOfDirectors">2</xsl:variable>
<!-- PRODUCERS            -->  <xsl:variable name="nrOfProducer">2</xsl:variable>
<!-- WRITERS              -->  <xsl:variable name="nrOfWriters">2</xsl:variable>
<!-- CINEMATOGRAPHERS     -->  <xsl:variable name="nrOfCinematographers">2</xsl:variable>
<!-- MUSICIANS/COMPOSERS  -->  <xsl:variable name="nrOfMusicians">2</xsl:variable>
<!-- EDITORS              -->  <xsl:variable name="nrOfEditors">2</xsl:variable>
<!-- COSTUME DESIGNERS    -->  <xsl:variable name="nrOfCostume">2</xsl:variable>

   <xsl:template name="agerating">

<!-- USA Audience Rating -->
<xsl:if test="mpaarating!=''">
<td align="right" class="maintitle" valign="centre" rowspan="2">
<xsl:choose>
 <xsl:when test="starts-with(mpaarating/displayname, 'G')"><img src="DCimages/Certificate/USA/G.gif" width="30" height="24"/></xsl:when>
 <xsl:when test="starts-with(mpaarating/displayname, 'PG-13')"><img src="DCimages/Certificate/USA/PG-13.gif" width="59" height="24"/></xsl:when>
 <xsl:when test="contains(mpaarating/displayname, 'PG')"><img src="DCimages/Certificate/USA/PG.gif" width="40" height="24"/></xsl:when>
 <xsl:when test="contains(mpaarating/displayname, 'R')"><img src="DCimages/Certificate/USA/R.gif" width="26" height="24"/></xsl:when>
 <xsl:when test="contains(mpaarating/displayname, 'NC-17')"><img src="DCimages/Certificate/USA/NC-17.gif" width="53" height="24"/></xsl:when>
</xsl:choose>
</td>
</xsl:if>

   </xsl:template>


<!-- ********************************************************************************** -->


<!-- Code used to retrieve cover front.  Comment out the one not required. --> 

   <xsl:template name="cover">

<!-- Standard cover images -->
    <xsl:if test="coverfront!=''">
      <td width="328" bgcolor="#387FC2">
		<!--
		<xsl:variable name="coverf" select="substring-after(coverfront, 'Images')"/>
		<a href="/Images/{$coverf}?action=SinglePlay&amp;" vod="playlist">
          <img src="../Data/Images/{$coverf}" border="0" width="328" height="464"/>
		-->
		<a href="{coverfront}?action=SinglePlay&amp;" vod="playlist">
          <img src="{coverfront}" border="0" width="328" height="464"/>
		  <!--
          <img src="{coverfront}?action=Resize.jpg&amp;height=464&amp;width=328" border="0" width="328" height="464"/>
		  -->
        </a>
      </td>
    </xsl:if>

<!-- Thumbnail cover images (Faster load times) -->
<!--     <xsl:if test="coverfront!=''">
      <td width="1" class="detailsbg">
        <a href="front.html">
          <xsl:choose>
            <xsl:when test="thumbfilepath!=''">
			  <xsl:variable name="thumbf" select="substring-after(thumbfilepath, 'Thumbnails')"/>
              <img src="/Thumbnails/{$thumbf}" border="0" height="464"/>
            </xsl:when>
            <xsl:otherwise>
          <img src="{coverfront}" border="0" height="464"/>
            </xsl:otherwise>
          </xsl:choose>
        </a>
      </td>
    </xsl:if> -->

   </xsl:template>

<!-- ********************************************************************************** -->

<!-- handle myrating field - set stars 1 to 10 -->
<xsl:template name="star"> 
<xsl:param name="num" select="0"/> 
<xsl:param name="LoopNum" select="0"/> 
  <xsl:choose> 
    <xsl:when test="$LoopNum&lt;'10'"> 
    <xsl:choose> 
      <xsl:when test="$num&lt;'0' or $num = '0'"> 
         <img src="DCimages/Stars/Emptystar.gif" width="15" height="15" border="0"/> 
         <xsl:call-template name="starIMDB"> 
           <xsl:with-param name="num" select="$num - 1"/> 
           <xsl:with-param name="LoopNum" select="$LoopNum + 1"/> 
         </xsl:call-template> 
      </xsl:when> 
      <xsl:when test="$num>0"> 
         <img src="DCimages/Stars/Goldstar.gif" width="15" height="15" border="0"/> 
         <xsl:call-template name="star"> 
           <xsl:with-param name="num" select="$num - 1"/> 
           <xsl:with-param name="LoopNum" select="$LoopNum + 1"/> 
         </xsl:call-template> 
      </xsl:when> 
    </xsl:choose> 
    </xsl:when> 
  </xsl:choose> 
</xsl:template> 

<!-- **** End of template type 1 code **** -->


<!-- **** Start of retrieval code **** -->

   <xsl:template name="myratingcode">

<!-- My Rating, set stars 1 to 10 (For type 1) -->

  <xsl:if test="myrating!='0'"> 
        <tr valign="center"> 
          <td class="cellalt1" nowrap="1" width="5%"> 
            <xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfMyRating']/@label"/> 
          </td> 
          <td class="stars" width="10%" nowrap="1"> 
            <xsl:call-template name="star"> 
              <xsl:with-param name="num" select="myrating"/> 
            </xsl:call-template> 
          </td> 
          <td align="left" class="cellalt1" width="25%"> 
            <xsl:value-of select="myrating"/><xsl:text>.0</xsl:text> 
          </td> 
        </tr> 
  </xsl:if> 

<!-- My Rating, set stars 1 to 10 (out of 100) (uses Tape Start Position field) (For type 2) -->

<!--  <xsl:if test="startpos!=''"> 
        <tr valign="center"> 
          <td class="cellalt1" nowrap="1" width="5%"> 
            <xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfMyRating']/@label"/> 
          </td>
          <td class="stars" width="10%" nowrap="1"> 
            <xsl:choose> 
              <xsl:when test="contains(startpos,' ')"> 
                <xsl:call-template name="MYstar"> 
                <xsl:with-param name="numMY" select="substring-before(startpos,' ')"/> 
                </xsl:call-template> 
              </xsl:when> 
              <xsl:otherwise> 
                <xsl:call-template name="MYstar"> 
                <xsl:with-param name="numMY" select="startpos"/> 
                </xsl:call-template> 
              </xsl:otherwise> 
            </xsl:choose> 
          </td>
          <td align="left" class="cellalt1" width="25%"> 
            <xsl:value-of select="startpos"/> 
          </td> 
        </tr> 
  </xsl:if> -->

   </xsl:template>

<!-- **** End of retrieval code **** -->


<!-- ********************************************************************************** -->


<!-- Code used for Info Source links.  Comment out the one not required.-->

<!-- Internet Links with images AND NO description - horizontal list -->
 <xsl:template match="link">
  <xsl:choose>
    <xsl:when test="description != ''">
      <a href="{url}" class="link">

<xsl:choose>
 <xsl:when test="contains(description, 'Adult DVD Empire')"><img src="DCimages/Links/A/Adult_DVD_Empire.gif" border="0" align="middle"/></xsl:when>
 <xsl:when test="contains(description, 'Amazon CA')"><img src="DCimages/Links/A/Amazon_CA.gif" border="0" align="middle"/></xsl:when>
 <xsl:when test="contains(description, 'Amazon Germany')"><img src="DCimages/Links/A/Amazon_Germany.gif" border="0" align="middle"/></xsl:when>
 <xsl:when test="contains(description, 'Amazon Fr')"><img src="DCimages/Links/A/Amazon_Fr.gif" border="0" align="middle"/></xsl:when>
 <xsl:when test="contains(description, 'Amazon Japan')"><img src="DCimages/Links/A/Amazon_Japan.gif" border="0" align="middle"/></xsl:when>
 <xsl:when test="contains(description, 'Amazon UK')"><img src="DCimages/Links/A/Amazon_UK.gif" border="0" align="middle"/></xsl:when>
 <xsl:when test="contains(description, 'Amazon US')"><img src="DCimages/Links/A/Amazon_US.gif" border="0" align="middle"/></xsl:when>
 <xsl:when test="contains(description, 'All Movie Guide')"><img src="DCimages/Links/A/All_Movie_Guide.gif" border="0" align="middle"/></xsl:when>
 <xsl:when test="contains(description, 'Atlantic DVD')"><img src="DCimages/Links/A/Atlantic_DVD.gif" border="0" align="middle"/></xsl:when>
 <xsl:when test="contains(description, 'SendIt')"><img src="DCimages/Links/A/SendIt.gif" border="0" align="middle"/></xsl:when>
 <xsl:when test="starts-with(description, 'DVD Empire')"><img src="DCimages/Links/A/DVD_Empire.gif" border="0" align="middle"/></xsl:when>
 <xsl:when test="contains(description, 'DVD Fr')"><img src="DCimages/Links/A/DVD_Fr.gif" border="0" align="middle"/></xsl:when>
 <xsl:when test="contains(description, 'DVD-Shop')"><img src="DCimages/Links/A/DVD-Shop.gif" border="0" align="middle"/></xsl:when>
 <xsl:when test="contains(description, 'Gay DVD Empire')"><img src="DCimages/Links/A/Gay_DVD_Empire.gif" border="0" align="middle"/></xsl:when>
 <xsl:when test="contains(description, 'IMDB')"><img src="DCimages/Links/A/imdb.gif" border="0" align="middle"/></xsl:when>
 <xsl:when test="contains(description, 'Internet Movie Database')"><img src="DCimages/Links/A/imdb.gif" border="0" align="middle"/></xsl:when>
 <xsl:when test="contains(description, 'Personal Links')"><img src="DCimages/Links/A/Personal_Links.gif" border="0" align="middle"/></xsl:when>
    <xsl:otherwise>
      <a href="{url}" class="link"><xsl:value-of select="url"/></a>
    </xsl:otherwise>

</xsl:choose>

      </a>
    </xsl:when>
    <xsl:otherwise>
      <a href="{url}" class="link">Link</a>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>


<!-- ********************************************************************************** -->


<!-- Variables done -->


<xsl:output method="html"/>

<xsl:param name="pageheight">200</xsl:param>
<xsl:param name="pagewidth">400</xsl:param>

<!-- this template replaces the newlines in the text parameter with <br/, and outputs the < character un-escaped instead of &lt; and outputs the parameter -->
<xsl:template name="break">
 <xsl:param name="text"/>
 <xsl:choose>
     <xsl:when test="contains($text, '&lt;')">
        <xsl:call-template name="break">
          <xsl:with-param name="text" select="substring-before($text,'&lt;')"/>
       </xsl:call-template>
       <![CDATA[<]]>
       <xsl:call-template name="break">
         <xsl:with-param name="text" select="substring-after($text,'&lt;')"/>
       </xsl:call-template>
     </xsl:when>

     <xsl:when test="contains($text, '&gt;')">
        <xsl:call-template name="break">
          <xsl:with-param name="text" select="substring-before($text,'&gt;')"/>
       </xsl:call-template>
       <xsl:text disable-output-escaping="yes">&gt;</xsl:text>
       <xsl:call-template name="break">
         <xsl:with-param name="text" select="substring-after($text,'&gt;')"/>
       </xsl:call-template>
     </xsl:when>

      <xsl:when test="contains($text, '&#10;')">
        <xsl:value-of select="substring-before($text,'&#10;')"/>
        <xsl:text disable-output-escaping="yes"><![CDATA[<br/>]]></xsl:text>
        <xsl:call-template name="break">
           <xsl:with-param name="text" select="substring-after($text,'&#10;')"/>
        </xsl:call-template>
      </xsl:when>
     
     <xsl:otherwise>
         <xsl:value-of select="$text"/>
     </xsl:otherwise>
 </xsl:choose>
</xsl:template>


<!-- Replace string - Used for links in notes section -->
<xsl:template name="SubstringReplace">
  <xsl:param name="stringIn" /> 
  <xsl:param name="substringIn" /> 
  <xsl:param name="substringOut" /> 
  <xsl:choose>
    <xsl:when test="contains($stringIn,$substringIn)">
      <xsl:value-of select="concat(substring-before($stringIn,$substringIn),$substringOut)" /> 
    <xsl:call-template name="SubstringReplace">
      <xsl:with-param name="stringIn" select="substring-after($stringIn,$substringIn)" /> 
      <xsl:with-param name="substringIn" select="$substringIn" /> 
      <xsl:with-param name="substringOut" select="$substringOut" /> 
    </xsl:call-template>
    </xsl:when>
  <xsl:otherwise>
    <xsl:value-of select="$stringIn" /> 
  </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template name="SubstringReplace1">
  <xsl:param name="stringIn1" /> 
  <xsl:param name="substringIn1" /> 
  <xsl:param name="substringOut1" /> 
  <xsl:choose>
    <xsl:when test="contains($stringIn1,$substringIn1)">
      <xsl:value-of select="concat(substring-before($stringIn1,$substringIn1),$substringOut1)" /> 
    <xsl:call-template name="SubstringReplace1">
      <xsl:with-param name="stringIn1" select="substring-after($stringIn1,$substringIn1)" /> 
      <xsl:with-param name="substringIn1" select="$substringIn1" /> 
      <xsl:with-param name="substringOut1" select="$substringOut1" /> 
    </xsl:call-template>
    </xsl:when>
  <xsl:otherwise>
    <xsl:value-of select="$stringIn1" /> 
  </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template name="SubstringReplace2">
  <xsl:param name="stringIn2" /> 
  <xsl:param name="substringIn2" /> 
  <xsl:param name="substringOut2" /> 
  <xsl:choose>
    <xsl:when test="contains($stringIn2,$substringIn2)">
      <xsl:value-of select="concat(substring-before($stringIn2,$substringIn2),$substringOut2)" /> 
    <xsl:call-template name="SubstringReplace2">
      <xsl:with-param name="stringIn2" select="substring-after($stringIn2,$substringIn2)" /> 
      <xsl:with-param name="substringIn2" select="$substringIn2" /> 
      <xsl:with-param name="substringOut2" select="$substringOut2" /> 
    </xsl:call-template>
    </xsl:when>
  <xsl:otherwise>
    <xsl:value-of select="$stringIn2" /> 
  </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template name="SubstringReplace3">
  <xsl:param name="stringIn3" /> 
  <xsl:param name="substringIn3" /> 
  <xsl:param name="substringOut3" /> 
  <xsl:choose>
    <xsl:when test="contains($stringIn3,$substringIn3)">
      <xsl:value-of select="concat(substring-before($stringIn3,$substringIn3),$substringOut3)" /> 
    <xsl:call-template name="SubstringReplace3">
      <xsl:with-param name="stringIn3" select="substring-after($stringIn3,$substringIn3)" /> 
      <xsl:with-param name="substringIn3" select="$substringIn3" /> 
      <xsl:with-param name="substringOut3" select="$substringOut3" /> 
    </xsl:call-template>
    </xsl:when>
  <xsl:otherwise>
    <xsl:value-of select="$stringIn3" /> 
  </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template name="SubstringReplace4">
  <xsl:param name="stringIn4" /> 
  <xsl:param name="substringIn4" /> 
  <xsl:param name="substringOut4" /> 
  <xsl:choose>
    <xsl:when test="contains($stringIn4,$substringIn4)">
      <xsl:value-of select="concat(substring-before($stringIn4,$substringIn4),$substringOut4)" /> 
    <xsl:call-template name="SubstringReplace4">
      <xsl:with-param name="stringIn4" select="substring-after($stringIn4,$substringIn4)" /> 
      <xsl:with-param name="substringIn4" select="$substringIn4" /> 
      <xsl:with-param name="substringOut4" select="$substringOut4" /> 
    </xsl:call-template>
    </xsl:when>
  <xsl:otherwise>
    <xsl:value-of select="$stringIn4" /> 
  </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template name="SubstringReplace5">
  <xsl:param name="stringIn5" /> 
  <xsl:param name="substringIn5" /> 
  <xsl:param name="substringOut5" /> 
  <xsl:choose>
    <xsl:when test="contains($stringIn5,$substringIn5)">
      <xsl:value-of select="concat(substring-before($stringIn5,$substringIn5),$substringOut5)" /> 
    <xsl:call-template name="SubstringReplace5">
      <xsl:with-param name="stringIn5" select="substring-after($stringIn5,$substringIn5)" /> 
      <xsl:with-param name="substringIn5" select="$substringIn5" /> 
      <xsl:with-param name="substringOut5" select="$substringOut5" /> 
    </xsl:call-template>
    </xsl:when>
  <xsl:otherwise>
    <xsl:value-of select="$stringIn5" /> 
  </xsl:otherwise>
  </xsl:choose>
</xsl:template>


<!-- process a lookup item -->
<xsl:template match="node()[displayname!='']">
  <xsl:choose>
    <xsl:when test="url!=''">
      <a href="{url}" class="link"><xsl:value-of select="displayname"/></a>
    </xsl:when>
    <xsl:otherwise>
      <xsl:value-of select="displayname"/>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>


<!-- handle MYrating field - set stars 1 to 10 (out of 100) --> 
<xsl:template name="MYstar">
<xsl:param name="numMY" select="0"/> 
<xsl:param name="LoopNum" select="0"/>
 
  <xsl:choose> 
    <xsl:when test="$LoopNum&lt;'10'"> 
    <xsl:choose> 
      <xsl:when test="$numMY&lt;'0' or $numMY = '0'"> 
         <img src="DCimages/Stars/Emptystar.gif" width="15" height="15" border="0"/> 
         <xsl:call-template name="MYstar"> 
           <xsl:with-param name="numMY" select="$numMY - 1"/> 
           <xsl:with-param name="LoopNum" select="$LoopNum + 1"/> 
         </xsl:call-template> 
      </xsl:when> 
      <xsl:when test="$numMY&lt;='.1' and $numMY > '0'"> 
         <img src="DCimages/Stars/Goldstar.1.gif" width="15" height="15" border="0"/> 
         <xsl:call-template name="MYstar"> 
           <xsl:with-param name="numMY" select="$numMY - 1"/> 
           <xsl:with-param name="LoopNum" select="$LoopNum + 1"/> 
         </xsl:call-template> 
      </xsl:when> 
      <xsl:when test="$numMY&lt;='.2' and $numMY > '.1'"> 
         <img src="DCimages/Stars/Goldstar.2.gif" width="15" height="15" border="0"/> 
         <xsl:call-template name="MYstar"> 
           <xsl:with-param name="numMY" select="$numMY - 1"/> 
           <xsl:with-param name="LoopNum" select="$LoopNum + 1"/> 
         </xsl:call-template> 
      </xsl:when> 
      <xsl:when test="$numMY&lt;='.3' and $numMY > '.2'"> 
         <img src="DCimages/Stars/Goldstar.3.gif" width="15" height="15" border="0"/> 
         <xsl:call-template name="MYstar"> 
           <xsl:with-param name="numMY" select="$numMY - 1"/> 
           <xsl:with-param name="LoopNum" select="$LoopNum + 1"/> 
         </xsl:call-template> 
      </xsl:when> 
      <xsl:when test="$numMY&lt;='.4' and $numMY > '.3'"> 
         <img src="DCimages/Stars/Goldstar.4.gif" width="15" height="15" border="0"/> 
         <xsl:call-template name="MYstar"> 
           <xsl:with-param name="numMY" select="$numMY - 1"/> 
           <xsl:with-param name="LoopNum" select="$LoopNum + 1"/> 
         </xsl:call-template> 
      </xsl:when> 
      <xsl:when test="$numMY&lt;='.5' and $numMY > '.4'"> 
         <img src="DCimages/Stars/Goldstar.5.gif" width="15" height="15" border="0"/> 
         <xsl:call-template name="MYstar"> 
           <xsl:with-param name="numMY" select="$numMY - 1"/> 
           <xsl:with-param name="LoopNum" select="$LoopNum + 1"/> 
         </xsl:call-template> 
      </xsl:when> 
      <xsl:when test="$numMY&lt;='.6' and $numMY > '.5'"> 
         <img src="DCimages/Stars/Goldstar.6.gif" width="15" height="15" border="0"/> 
         <xsl:call-template name="MYstar"> 
           <xsl:with-param name="numMY" select="$numMY - 1"/> 
           <xsl:with-param name="LoopNum" select="$LoopNum + 1"/> 
         </xsl:call-template> 
      </xsl:when> 
      <xsl:when test="$numMY&lt;='.7' and $numMY > '.6'"> 
         <img src="DCimages/Stars/Goldstar.7.gif" width="15" height="15" border="0"/> 
         <xsl:call-template name="MYstar"> 
           <xsl:with-param name="numMY" select="$numMY - 1"/> 
           <xsl:with-param name="LoopNum" select="$LoopNum + 1"/> 
         </xsl:call-template> 
      </xsl:when> 
      <xsl:when test="$numMY&lt;='.8' and $numMY > '.7'"> 
         <img src="DCimages/Stars/Goldstar.8.gif" width="15" height="15" border="0"/> 
         <xsl:call-template name="MYstar"> 
           <xsl:with-param name="numMY" select="$numMY - 1"/> 
           <xsl:with-param name="LoopNum" select="$LoopNum + 1"/> 
         </xsl:call-template> 
      </xsl:when> 
      <xsl:when test="$numMY&lt;='.9' and $numMY > '.8'"> 
         <img src="DCimages/Stars/Goldstar.9.gif" width="15" height="15" border="0"/> 
         <xsl:call-template name="MYstar"> 
           <xsl:with-param name="numMY" select="$numMY - 1"/> 
           <xsl:with-param name="LoopNum" select="$LoopNum + 1"/> 
         </xsl:call-template> 
      </xsl:when> 
      <xsl:when test="$numMY>=1"> 
         <img src="DCimages/Stars/Goldstar.gif" width="15" height="15" border="0"/> 
         <xsl:call-template name="MYstar"> 
           <xsl:with-param name="numMY" select="$numMY - 1"/> 
           <xsl:with-param name="LoopNum" select="$LoopNum + 1"/> 
         </xsl:call-template> 
      </xsl:when> 
    </xsl:choose> 
    </xsl:when> 
  </xsl:choose> 
</xsl:template>

<!-- handle IMDBrating field - set stars 1 to 10 --> 
<xsl:template name="starIMDB"> 
<xsl:param name="numIMDB" select="0"/> 
<xsl:param name="LoopNum" select="0"/> 
  <xsl:choose> 
    <xsl:when test="$LoopNum&lt;'10'"> 
    <xsl:choose> 
      <xsl:when test="$numIMDB&lt;'0' or $numIMDB = '0'"> 
         <img src="DCimages/Stars/Emptystar.gif" width="15" height="15" border="0"/> 
         <xsl:call-template name="starIMDB"> 
           <xsl:with-param name="numIMDB" select="$numIMDB - 1"/> 
           <xsl:with-param name="LoopNum" select="$LoopNum + 1"/> 
         </xsl:call-template> 
      </xsl:when> 
      <xsl:when test="$numIMDB&lt;='.1' and $numIMDB > '0'"> 
         <img src="DCimages/Stars/Redstar.1.gif" width="15" height="15" border="0"/> 
         <xsl:call-template name="starIMDB"> 
           <xsl:with-param name="numIMDB" select="$numIMDB - 1"/> 
           <xsl:with-param name="LoopNum" select="$LoopNum + 1"/> 
         </xsl:call-template> 
      </xsl:when> 
      <xsl:when test="$numIMDB&lt;='.2' and $numIMDB > '.1'"> 
         <img src="DCimages/Stars/Redstar.2.gif" width="15" height="15" border="0"/> 
         <xsl:call-template name="starIMDB"> 
           <xsl:with-param name="numIMDB" select="$numIMDB - 1"/> 
           <xsl:with-param name="LoopNum" select="$LoopNum + 1"/> 
         </xsl:call-template> 
      </xsl:when> 
      <xsl:when test="$numIMDB&lt;='.3' and $numIMDB > '.2'"> 
         <img src="DCimages/Stars/Redstar.3.gif" width="15" height="15" border="0"/> 
         <xsl:call-template name="starIMDB"> 
           <xsl:with-param name="numIMDB" select="$numIMDB - 1"/> 
           <xsl:with-param name="LoopNum" select="$LoopNum + 1"/> 
         </xsl:call-template> 
      </xsl:when> 
      <xsl:when test="$numIMDB&lt;='.4' and $numIMDB > '.3'"> 
         <img src="DCimages/Stars/Redstar.4.gif" width="15" height="15" border="0"/> 
         <xsl:call-template name="starIMDB"> 
           <xsl:with-param name="numIMDB" select="$numIMDB - 1"/> 
           <xsl:with-param name="LoopNum" select="$LoopNum + 1"/> 
         </xsl:call-template> 
      </xsl:when> 
      <xsl:when test="$numIMDB&lt;='.5' and $numIMDB > '.4'"> 
         <img src="DCimages/Stars/Redstar.5.gif" width="15" height="15" border="0"/> 
         <xsl:call-template name="starIMDB"> 
           <xsl:with-param name="numIMDB" select="$numIMDB - 1"/> 
           <xsl:with-param name="LoopNum" select="$LoopNum + 1"/> 
         </xsl:call-template> 
      </xsl:when> 
      <xsl:when test="$numIMDB&lt;='.6' and $numIMDB > '.5'"> 
         <img src="DCimages/Stars/Redstar.6.gif" width="15" height="15" border="0"/> 
         <xsl:call-template name="starIMDB"> 
           <xsl:with-param name="numIMDB" select="$numIMDB - 1"/> 
           <xsl:with-param name="LoopNum" select="$LoopNum + 1"/> 
         </xsl:call-template> 
      </xsl:when> 
      <xsl:when test="$numIMDB&lt;='.7' and $numIMDB > '.6'"> 
         <img src="DCimages/Stars/Redstar.7.gif" width="15" height="15" border="0"/> 
         <xsl:call-template name="starIMDB"> 
           <xsl:with-param name="numIMDB" select="$numIMDB - 1"/> 
           <xsl:with-param name="LoopNum" select="$LoopNum + 1"/> 
         </xsl:call-template> 
      </xsl:when> 
      <xsl:when test="$numIMDB&lt;='.8' and $numIMDB > '.7'"> 
         <img src="DCimages/Stars/Redstar.8.gif" width="15" height="15" border="0"/> 
         <xsl:call-template name="starIMDB"> 
           <xsl:with-param name="numIMDB" select="$numIMDB - 1"/> 
           <xsl:with-param name="LoopNum" select="$LoopNum + 1"/> 
         </xsl:call-template> 
      </xsl:when> 
      <xsl:when test="$numIMDB&lt;='.9' and $numIMDB > '.8'"> 
         <img src="DCimages/Stars/Redstar.9.gif" width="15" height="15" border="0"/> 
         <xsl:call-template name="starIMDB"> 
           <xsl:with-param name="numIMDB" select="$numIMDB - 1"/> 
           <xsl:with-param name="LoopNum" select="$LoopNum + 1"/> 
         </xsl:call-template> 
      </xsl:when> 
      <xsl:when test="$numIMDB>=1"> 
         <img src="DCimages/Stars/Redstar.gif" width="15" height="15" border="0"/> 
         <xsl:call-template name="starIMDB"> 
           <xsl:with-param name="numIMDB" select="$numIMDB - 1"/> 
           <xsl:with-param name="LoopNum" select="$LoopNum + 1"/> 
         </xsl:call-template> 
      </xsl:when> 
    </xsl:choose> 
    </xsl:when> 
  </xsl:choose> 
</xsl:template>

<!-- the main template -->
<xsl:template match="/">
  <HEAD>    
    <META http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
	<META SYABAS-BACKGROUND="/imagev_back.jpg"/>
	<META SYABAS-COMPACT="OFF"/>
    <style>
		body {
				color: white;
				background-color: #C1E0FC;
				font-family: Verdana, Arial, Helvetica, sans-serif;
				font-size:normal;
		}

		.maintable {
				
				background-color: #1ABDEA;
				font-size: 14pt;
				font-weight: bold;
				padding-top: 2px;
				padding-bottom: 2px;
		}


		.subtitle {
				color: #000066;
				background-color: #A1CBF5;
				font-size: 12pt;
				font-weight: bold;
				padding-left: 5px;
				padding-right: 5px;
				padding-top: 2px;
				padding-bottom: 2px;
		}

		.tagtitle {
				color: #000000;
				background-color: #A1CBF5;
				font-size: 14pt;
				font-weight: bold;
				padding-left: 5px;
				padding-right: 5px;
				padding-top: 2px;
				padding-bottom: 3px;
		}

		.maintitle {
				color: White;
				background-color: #0058BA;
				font-family: Arial, Verdana, Helvetica, sans-serif;
				font-size: 18pt;
				font-weight : bold;
				padding-left: 5px;
				padding-top: 2px;
				padding-bottom: 2px;
				padding-right: 5px;
		}

		.celllabel {
				color: White;
				background-color: #303030;
				font-size: 10pt;
				font-weight : normal;
				padding-top: 2px;
				padding-left: 5px;
				padding-right: 5px;
				padding-bottom: 2px;
		}

		.cellvalue {
				color: White;
				background-color: #0273AE;
				font-size: 10pt;
				font-weight : bold;
				padding-top: 2px;
				padding-left: 5px;
				padding-right: 5px;
				padding-bottom: 2px;
		}

		.cellalt {
				color: White;
				background-color: #387FC2;
				font-size: 10pt;
				font-weight : normal;
				padding-top: 2px;
				padding-left: 5px;
				padding-right: 5px;
				padding-bottom: 5px;
		}

		.plot {
				color: White;
				background-color: #387FC2;
				font-size: 10pt;
				font-weight : normal;
				padding-top: 2px;
				padding-left: 5px;
				padding-right: 5px;
				padding-bottom: 5px;
		}

		.cellalt1 {
				color: White;
				Font: bold;
				background-color: #387FC2;
				font-size: 10pt;
				font-weight : normal;
				padding-top: 2px;
				padding-left: 5px;
				padding-right: 5px;
				padding-bottom: 5px;
		}

		.cellalt2 {
				color: White;
				Font: bold;
				background-color: #0273AE;
				font-size: 10pt;
				font-weight : normal;
				padding-top: 2px;
				padding-left: 5px;
				padding-right: 5px;
				padding-bottom: 5px;
		}

		.stars {
				color: White;
				background-color: #387FC2;
				font-size: 5pt;
				font-weight : normal;
				padding-top: 3px;
				padding-left: 5px;
				padding-right: 5px;
				padding-bottom: 3px;
		}

		.DaveC {
				color: White;
				background-color: #0058BA;
				font-family: Verdana, Arial, Helvetica, sans-serif;
				font-size: 6pt;
				font-weight : normal;
				padding-left: 5px;
				padding-top: 0px;
				padding-bottom: 0px;
				padding-right: 5px;
		}

		.detailsbg {
				background-color: #C1E0FC;
		}

		.detailsbg2 {
				background-color: #387FC2;
				font-size: 12pt;
				font-weight : normal;
				padding-top: 2px;
				padding-left: 5px;
				padding-right: 5px;
				padding-bottom: 5px;
		}

		.link {
				text-decoration: underline;
				color: #ffffff;
		}


		a.link:hover {
				text-decoration: underline;
				color: #FDDB2B;
		}
	</style>
    <TITLE>Movie</TITLE>
  </HEAD>
  <BODY  background="/imagev_back.jpg" marginheight="20" marginwidth="5" leftmargin="0" rightmargin="0" topmargin="20" border="0"  bgcolor="#056689" focuscolor="00CC99">
    <xsl:apply-templates/>
  </BODY>
</xsl:template>

<xsl:template match="movie">
<table border="0" cellspacing="0" cellpadding="0" width="100%" class="maintable"><tr><td>
<table border="0" cellspacing="1" cellpadding="0" width="100%">
  <tr>
    <td class="maintitle" width="100%">
   <a href="{imdburl}" class="link"><xsl:value-of select="title"/></a>
   <xsl:if test="titleextension!=''">
     <xsl:text> - </xsl:text>
     <xsl:value-of select="titleextension"/>
   </xsl:if>
   <xsl:if test="originaltitle!=''">
     <xsl:text> (</xsl:text><xsl:value-of select="originaltitle"/>)
   </xsl:if>
   <xsl:if test="releasedate!=''">
     <xsl:text> (</xsl:text><xsl:value-of select="releasedate/year/displayname"/>)
   </xsl:if>

  </td>

<!-- TRAILER(S) SECTION  -->
<xsl:if test="links!=''"> 
  <xsl:for-each select="links/link"> 
    <xsl:if test="contains(description,'Trailer')"> 
       <td align="right" class="maintitle" valign="centre" rowspan="2">
         <!-- <xsl:variable name="movie_ext" select="substring-after(url,'.')"/> -->
         <xsl:variable name="movie_name" select="(url,'')"/>
         <a href="{$trailerlocation}{$movie_name}" class="link">
         <img src="DCimages/Icons/camera.gif" width="31" height="25" border="0" align="middle"/></a>
       </td>
    </xsl:if> 
  </xsl:for-each>
</xsl:if>


<!-- Audience Rating -->
<xsl:call-template name="agerating"></xsl:call-template>


<xsl:if test="format!=''">
<td align="right" class="maintitle">
<xsl:choose>
 <xsl:when test="contains(format/displayname, 'HD DVD')"><img src="DCimages/Format/hddvd.gif"/></xsl:when>
 <xsl:when test="contains(format/displayname, 'Blu-ray Disc')"><img src="DCimages/Format/bluray.gif"/></xsl:when>
 <xsl:when test="contains(format/displayname, 'CDi')"><img src="DCimages/Format/cdi.gif"/></xsl:when>
 <xsl:when test="contains(format/displayname, 'DAT')"><img src="DCimages/Format/dat.gif" height="24"/></xsl:when>
 <xsl:when test="contains(format/displayname, 'Divx') or contains(format/displayname, 'DivX')"><img src="DCimages/Format/divx.gif"/></xsl:when>
 <xsl:when test="contains(format/displayname, 'DVD')"><img src="DCimages/Format/dvd.gif"/></xsl:when>
 <xsl:when test="contains(format/displayname, 'D-VHS')"><img src="DCimages/Format/dvhs.gif"/></xsl:when>
 <xsl:when test="contains(format/displayname, 'Hi8')"><img src="DCimages/Format/hi8.gif"/></xsl:when>
 <xsl:when test="contains(format/displayname, 'Laser')"><img src="DCimages/Format/laserdisc.gif" height="24"/></xsl:when>
 <xsl:when test="contains(format/displayname, 'Theatrical')"><img src="DCimages/Format/theatrical.gif"/></xsl:when>
 <xsl:when test="contains(format/displayname, 'VideoCD')"><img src="DCimages/Format/vcd.gif"/></xsl:when>
 <xsl:when test="starts-with(format/displayname, 'VHS')"><img src="DCimages/Format/vhs.gif"/></xsl:when>
 <xsl:when test="contains(format/displayname, 'Xvid')"><img src="DCimages/Format/xvid.jpg"/></xsl:when>
</xsl:choose>
</td>
</xsl:if>

</tr>
</table>

<!-- usertext2 used for Tagline under film title -->
  <xsl:if test="usertext2!=''">
    <table border="0" cellspacing="1" cellpadding="0" width="100%">
     <tr>
       <td class="tagtitle" width="100%">
         <xsl:value-of select="usertext2"/>
        </td>
      </tr>
    </table>
  </xsl:if>


<table border="0" cellspacing="1" cellpadding="0" width="100%">

<!-- My Rating -->
<xsl:call-template name="myratingcode"></xsl:call-template>

<!-- IMDB Rating -->
  <xsl:if test="imdbrating!=''"> 
        <tr valign="center"> 
          <td class="cellalt1" nowrap="1" width="5%"> 
            <xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfIMDBRating']/@label"/> 
          </td> 
          <td class="stars" width="10%" nowrap="1"> 
            <xsl:choose> 
              <xsl:when test="contains(imdbrating,' ')"> 
                <xsl:call-template name="starIMDB"> 
                <xsl:with-param name="numIMDB" select="substring-before(imdbrating,' ')"/> 
                </xsl:call-template> 
              </xsl:when> 
              <xsl:otherwise> 
                <xsl:call-template name="starIMDB"> 
                <xsl:with-param name="numIMDB" select="imdbrating"/> 
                </xsl:call-template> 
              </xsl:otherwise> 
            </xsl:choose> 
          </td> 
          <td class="cellalt1" width="10%"> 
            <xsl:value-of select="imdbrating"/>
           </td> 
		  <td class="cellalt1" width="25%"><xsl:value-of select="runtime"/></td>
        </tr> 
  </xsl:if> 
</table> 

 <table border="0" cellspacing="1" cellpadding="0" width="100%">
  <tr>
   <td>
 <table border="0" cellspacing="1" cellpadding="0" width="100%">
  <tr>
  <xsl:if test="coverfront!=''">
    <td class="subtitle" height="17">
      <xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfCoverFront']/@label"/>
    </td>
  </xsl:if>
    <td class="subtitle" height="17" align="left"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfActor']/@label"/></td>
  <xsl:if test="coverback!=''">
    <td class="subtitle" height="17" align="left"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfCoverBack']/@label"/></td>
  </xsl:if>
  </tr>
  <tr valign="top">

<!-- Front cover image  -->
<xsl:call-template name="cover"></xsl:call-template>

    <td class="detailsbg" valign="top">
      <xsl:if test="cast!=''">
        <table border="0" cellspacing="0" cellpadding="0" width="100%">
           <tr valign="top">
              <td>
                <table border="0" cellspacing="1" cellpadding="0" width="100%">
                   <xsl:for-each select="cast/star[position() &lt;= $nrOfActors]">
                     <tr>
                       <td class="cellvalue" width="10%" nowrap="1"><xsl:apply-templates select="person"/></td>
                       
                         <td class="celllabel"><xsl:if test="character!=''"><i><xsl:value-of select="character"/></i></xsl:if></td>
                     </tr>
                   </xsl:for-each>
                </table>
              </td>
           </tr>
  <xsl:if test="dont_show_notes!=''">
      <tr><td class="subtitle" height="17" align="left">
        <b><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfNotes']/@label"/></b>
      </td></tr>
      <tr><td class="detailsbg2">
       <xsl:variable name="myString" select="notes" />

       <xsl:variable name="myNewString">
         <xsl:call-template name="SubstringReplace">
           <xsl:with-param name="stringIn" select="$myString" /> 
           <xsl:with-param name="substringIn" select="'/name'" />
           <xsl:with-param name="substringOut" select="'http://www.imdb.com/name'" /> 
         </xsl:call-template>
       </xsl:variable>

       <xsl:variable name="myNewString1">
         <xsl:call-template name="SubstringReplace1">
           <xsl:with-param name="stringIn1" select="$myNewString" /> 
           <xsl:with-param name="substringIn1" select="'/rg/title-tease/trivia'" /> 
           <xsl:with-param name="substringOut1" select="''" /> 
         </xsl:call-template>
       </xsl:variable>

       <xsl:variable name="myNewString2">
         <xsl:call-template name="SubstringReplace2">
           <xsl:with-param name="stringIn2" select="$myNewString1" /> 
           <xsl:with-param name="substringIn2" select="'/rg/title-tease/goofs'" /> 
           <xsl:with-param name="substringOut2" select="''" /> 
         </xsl:call-template>
       </xsl:variable>

       <xsl:variable name="myNewString3">
         <xsl:call-template name="SubstringReplace3">
           <xsl:with-param name="stringIn3" select="$myNewString2" /> 
           <xsl:with-param name="substringIn3" select="'/rg/title-tease/quotes'" /> 
           <xsl:with-param name="substringOut3" select="''" /> 
         </xsl:call-template>
       </xsl:variable>

       <xsl:variable name="myNewString4">
         <xsl:call-template name="SubstringReplace4">
           <xsl:with-param name="stringIn4" select="$myNewString2" /> 
           <xsl:with-param name="substringIn4" select="'/rg/title-tease/awards'" /> 
           <xsl:with-param name="substringOut4" select="''" /> 
         </xsl:call-template>
       </xsl:variable>

       <xsl:variable name="myNewString5">
         <xsl:call-template name="SubstringReplace5">
           <xsl:with-param name="stringIn5" select="$myNewString4" /> 
           <xsl:with-param name="substringIn5" select="'/title/'" /> 
           <xsl:with-param name="substringOut5" select="'http://www.imdb.com/title/'" /> 
         </xsl:call-template>
       </xsl:variable>

       <xsl:call-template name="break">
         <xsl:with-param name="text" select="$myNewString5"/>
       </xsl:call-template>

      </td></tr>
  </xsl:if>

  <xsl:if test="extrafeatures!=''">
	  <tr><td class="subtitle" height="17" align="left">
		   <b><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfExtraFeatures']/@label"/></b></td></tr>
	  <tr><td class="cellalt">
			 <xsl:call-template name="break">
			   <xsl:with-param name="text" select="extrafeatures"/>
			 </xsl:call-template></td>
	   </tr>
  </xsl:if>


        </table>
      </xsl:if>
     </td>
    <xsl:if test="coverback!=''">
      <td align="right" width="328"  bgcolor="#387FC2">
		<a href="{coverback}?action=SinglePlay&amp;" vod="playlist">
		  <img src="{coverback}" border="0" width="328" height="464"/>
          <!--
          <img src="{coverback}?action=Resize.jpg&amp;height=464&amp;width=328" border="0" width="328" height="464"/>
		  -->
		</a>
	  </td>
    </xsl:if>
   </tr>
 </table>
</td>
</tr>
<tr>
<td>
 <table border="0" cellspacing="1" cellpadding="0" width="100%">
  <tr>
  <xsl:if test="links!=''">
    <xsl:for-each select="links/link"> 
      <xsl:if test="contains(description,'Poster')"><td class="subtitle" height="17" align="left">Movie Poster</td></xsl:if> 
    </xsl:for-each>
  </xsl:if>
  <xsl:if test="links!=''">
    <xsl:for-each select="links/link"> 
      <xsl:if test="contains(description,'Case Cover')"><td class="subtitle" height="17" align="left">Case Cover</td></xsl:if> 
    </xsl:for-each>
  </xsl:if>
  <xsl:if test="links!=''">
    <xsl:for-each select="links/link"> 
      <xsl:if test="contains(description,'Wizd')"><td class="subtitle" height="17" align="left">Wizd Link</td></xsl:if> 
    </xsl:for-each>
  </xsl:if>
  </tr>
  <tr>

<!-- Movie Poster -->
<xsl:if test="links!=''"> 
  <xsl:for-each select="links/link"> 
    <xsl:if test="contains(description,'Poster')"> 
       <td align="left" class="detailsbg" valign="centre" rowspan="2">
         <xsl:variable name="poster_name" select="(url,'')"/>
         <a href="image.html">
           <img src="{$poster}{$poster_name}" height="150" border="0" align="middle"/></a>
       </td>
    </xsl:if> 
  </xsl:for-each>
</xsl:if>

<!-- Case Cover -->
<xsl:if test="links!=''"> 
  <xsl:for-each select="links/link"> 
    <xsl:if test="contains(description,'Case Cover')"> 
       <td align="left" class="detailsbg" valign="centre" rowspan="2">
         <xsl:variable name="casecover_name" select="(url,'')"/>
         <a href="image.html">
         <img src="{$casecover}{$casecover_name}" height="150" border="0" align="middle"/></a>
       </td>
    </xsl:if> 
  </xsl:for-each>
</xsl:if>

<!-- Disk Image -->
<xsl:if test="links!=''"> 
  <xsl:for-each select="links/link"> 
    <xsl:if test="contains(description,'Wizd')"> 
       <td  align="left" class="cellvalue" valign="centre">
         <xsl:variable name="diskimage_name" select="(url,'')"/>
         <a href="{$diskimage}{$diskimage_name}/?">
		 <FONT color="white"> Wizd Movie Link </FONT>
		 </a>
       </td>
    </xsl:if> 
  </xsl:for-each>
</xsl:if>

  </tr>
 </table>
  </td>
  </tr>
 </table>

<xsl:if test="plot!=''">
   <table border="0" cellspacing="1" cellpadding="0" width="100%">
     <tr><td class="subtitle" height="17" align="left">
        <xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfPlot']/@label"/>
      </td></tr>
      <tr><td class="plot">
         <xsl:call-template name="break">
           <xsl:with-param name="text" select="plot"/>
         </xsl:call-template>
      </td></tr>
    </table>
  </xsl:if>

 <table border="0" cellspacing="1" cellpadding="0" width="100%">
    <tr><td class="subtitle" height="17" align="left" colspan="2"><xsl:value-of select="/movieinfo/localizedtemplatetexts/field[@id='ttMovieDetails']/@label"/></td></tr>
    <tr><td valign="top" width="50%" class="detailsbg">
    
     <table border="0" cellspacing="1" cellpadding="0" width="100%">
          <xsl:if test="originaltitle!=''">
           <tr valign="top">
             <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfOriginalTitle']/@label"/></td>
             <td class="cellvalue"><xsl:value-of select="originaltitle"/></td>
           </tr>
          </xsl:if>
          <xsl:if test="genres!=''">
           <tr valign="top">
              <td width="10%" nowrap="1" class="celllabel">
                <xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfGenre']/@label"/>
              </td>
              <td class="cellvalue">
                 <xsl:for-each select="genres/genre">
                   <xsl:value-of select="displayname"/>
                   <xsl:if test="position()!=last()"><xsl:text>; </xsl:text></xsl:if>
                 </xsl:for-each>
              </td>
           </tr>
         </xsl:if>
         <xsl:if test="crew/crewmember[roleid='dfDirector']!=''">
           <tr valign="top">
              <td width="10%" nowrap="1" class="celllabel">
                <xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfDirector']/@label"/>
              </td>
              <td class="cellvalue">
                 <xsl:for-each select="crew/crewmember[roleid='dfDirector'][position() &lt;= $nrOfDirectors]">
                     <xsl:apply-templates select="person"/>
                   <xsl:if test="position()!=last()"><xsl:text>; </xsl:text></xsl:if>
                 </xsl:for-each>
              </td>
           </tr>
         </xsl:if>
         <xsl:if test="crew/crewmember[roleid='dfProducer']!=''">
           <tr valign="top">
              <td width="10%" nowrap="1" class="celllabel">
                <xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfProducer']/@label"/>
              </td>
              <td class="cellvalue">
                 <xsl:for-each select="crew/crewmember[roleid='dfProducer'][position() &lt;= $nrOfProducer]">
                   <xsl:apply-templates select="person"/>
                   <xsl:if test="position()!=last()"><xsl:text>; </xsl:text></xsl:if>
                 </xsl:for-each>
              </td>
           </tr>
         </xsl:if>
         <xsl:if test="crew/crewmember[roleid='dfWriter']!=''">
           <tr valign="top">
              <td width="10%" nowrap="1" class="celllabel">
                <xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfWriter']/@label"/>
              </td>
              <td class="cellvalue">
                 <xsl:for-each select="crew/crewmember[roleid='dfWriter'][position() &lt;= $nrOfWriters]">
                   <xsl:apply-templates select="person"/>
                   <xsl:if test="position()!=last()"><xsl:text>; </xsl:text></xsl:if>
                 </xsl:for-each>
              </td>
           </tr>
         </xsl:if>
        <!-- <xsl:if test="crew/crewmember[role='Photography']!=''">
           <tr valign="top">
              <td width="10%" nowrap="1" class="celllabel">
                <xsl:value-of select="/movieinfo/moviemetadata/field[@name='Photography']/@label"/>
              </td>
              <td class="cellvalue">
                 <xsl:for-each select="crew/crewmember[role='Photography'][position() &lt;= $nrOfCinematographers]">
                   <xsl:apply-templates select="person"/>
                   <xsl:if test="position()!=last()"><xsl:text>; </xsl:text></xsl:if>
                 </xsl:for-each>
              </td>
           </tr>
         </xsl:if> -->
         <xsl:if test="crew/crewmember[roleid='dfCamera']!=''">
           <tr valign="top">
              <td width="10%" nowrap="1" class="celllabel">
                <xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfCamera']/@label"/>
              </td>
              <td class="cellvalue">
                 <xsl:for-each select="crew/crewmember[roleid='dfCamera'][position() &lt;= $nrOfCinematographers]">
                   <xsl:apply-templates select="person"/>
                   <xsl:if test="position()!=last()"><xsl:text>; </xsl:text></xsl:if>
                 </xsl:for-each>
              </td>
           </tr>
         </xsl:if>
         <xsl:if test="crew/crewmember[roleid='dfMusic']!=''">
           <tr valign="top">
              <td width="10%" nowrap="1" class="celllabel">
                <xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfMusic']/@label"/>
              </td>
              <td class="cellvalue">
                 <xsl:for-each select="crew/crewmember[roleid='dfMusic'][position() &lt;= $nrOfMusicians]">
                   <xsl:apply-templates select="person"/>
                   <xsl:if test="position()!=last()"><xsl:text>; </xsl:text></xsl:if>
                 </xsl:for-each>
              </td>
           </tr>
         </xsl:if>
         <xsl:if test="crew/crewmember[roleid='dfUserCredit1']!=''">
           <tr valign="top">
              <td width="10%" nowrap="1" class="celllabel">
                <xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfUserCredit1']/@label"/>
              </td>
              <td class="cellvalue">
                 <xsl:for-each select="crew/crewmember[roleid='dfUserCredit1'][position() &lt;= $nrOfEditors]">
                   <xsl:apply-templates select="person"/>
                   <xsl:if test="position()!=last()"><xsl:text>; </xsl:text></xsl:if>
                 </xsl:for-each>
              </td>
           </tr>
         </xsl:if>
         <xsl:if test="crew/crewmember[roleid='dfUserCredit2']!=''">
           <tr valign="top">
              <td width="10%" nowrap="1" class="celllabel">
                <xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfUserCredit2']/@label"/>
              </td>
              <td class="cellvalue">
                 <xsl:for-each select="crew/crewmember[roleid='dfUserCredit2'][position() &lt;= $nrOfCostume]">
                   <xsl:apply-templates select="person"/>
                   <xsl:if test="position()!=last()"><xsl:text>; </xsl:text></xsl:if>
                 </xsl:for-each>
              </td>
           </tr>
         </xsl:if>
     </table>

    </td>
    <td valign="top" class="detailsbg">
       <table border="0" cellspacing="1" cellpadding="0" width="100%">
         <xsl:if test="studios!=''">
           <tr valign="top">
              <td width="10%" nowrap="1" class="celllabel">
                <xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfStudio']/@label"/>
              </td>
              <td class="cellvalue">
                 <xsl:for-each select="studios/studio">
                   <xsl:value-of select="displayname"/>
                   <xsl:if test="position()!=last()"><xsl:text>; </xsl:text></xsl:if>
                 </xsl:for-each>
              </td>
           </tr>
         </xsl:if>
        <xsl:if test="series!=''">
          <tr valign="top">
            <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfSeries']/@label"/></td>
            <td class="cellvalue"><xsl:value-of select="series/displayname"/></td>
          </tr>
        </xsl:if>
<!-- Country without graphics -->
<!--    <xsl:if test="country!=''">
          <tr valign="top">
            <td class="celllabel" width="10%" nowrap="1">
             <xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfCountry']/@label"/>
            </td>
            <td class="cellvalue">
             <xsl:value-of select="country/displayname"/></td>
          </tr>
        </xsl:if> -->

<!-- Country with graphics -->
        <xsl:if test="country!=''">
          <tr valign="top">
            <td class="celllabel" width="10%" nowrap="1">
              <xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfCountry']/@label"/>
            </td>
          <td class="cellvalue"><xsl:value-of select="country/displayname"/>
<xsl:choose> 
  <xsl:when test="contains(country, 'Australia')"><img src="DCimages/Flags/Small/Grey/Australia.gif" width="22" height="12"/></xsl:when>
  <xsl:when test="contains(country, 'Canada')"><img src="DCimages/Flags/Small/Grey/Canada.gif" width="22" height="12"/></xsl:when>
  <xsl:when test="contains(country, 'Czech Republic')"><img src="DCimages/Flags/Small/Grey/Czech_Republic.gif" width="22" height="12"/></xsl:when>
  <xsl:when test="contains(country, 'France')"><img src="DCimages/Flags/Small/Grey/France.gif" width="22" height="12"/></xsl:when>
  <xsl:when test="contains(country, 'Germany')"><img src="DCimages/Flags/Small/Grey/Germany.gif" width="22" height="12"/></xsl:when>
  <xsl:when test="contains(country, 'Great Britain')"><img src="DCimages/Flags/Small/Grey/UK.gif" width="22" height="12"/></xsl:when>
  <xsl:when test="contains(country, 'Hong Kong')"><img src="DCimages/Flags/Small/Grey/Hong_Kong.gif" width="22" height="12"/></xsl:when>
  <xsl:when test="contains(country, 'India')"><img src="DCimages/Flags/Small/Grey/India.gif" width="22" height="12"/></xsl:when>
  <xsl:when test="contains(country, 'Ireland')"><img src="DCimages/Flags/Small/Grey/Ireland.gif" width="22" height="12"/></xsl:when>
  <xsl:when test="contains(country, 'Italy')"><img src="DCimages/Flags/Small/Grey/Italy.gif" width="22" height="12"/></xsl:when>
  <xsl:when test="contains(country, 'Japan')"><img src="DCimages/Flags/Small/Grey/Japan.gif" width="22" height="12"/></xsl:when>
  <xsl:when test="contains(country, 'New Zealand')"><img src="DCimages/Flags/Small/Grey/New_Zealand.gif" width="22" height="12"/></xsl:when>
  <xsl:when test="contains(country, 'Russia')"><img src="DCimages/Flags/Small/Grey/Russia.gif" width="22" height="12"/></xsl:when>
  <xsl:when test="contains(country, 'The Netherlands')"><img src="DCimages/Flags/Small/Grey/Netherlands.gif" width="22" height="12"/></xsl:when>  <xsl:when test="contains(country, 'UK')"><img src="/MovieCollector/DCimages/Flags/Small/Grey/UK.gif" width="22" height="12"/></xsl:when>
  <xsl:when test="contains(country, 'UK')"><img src="DCimages/Flags/Small/Grey/UK.gif" width="22" height="12"/></xsl:when>
  <xsl:when test="contains(country, 'USA')"><img src="DCimages/Flags/Small/Grey/USA.gif" width="22" height="12"/></xsl:when>
  <xsl:when test="contains(country, 'West Germany')"><img src="DCimages/Flags/Small/Grey/Germany.gif" width="22" height="12"/></xsl:when>
  <xsl:when test="contains(country, 'Yugoslavia')"><img src="DCimages/Flags/Small/Grey/Yugoslavia.gif" width="22" height="12"/></xsl:when>
</xsl:choose>
          </td>
        </tr>
      </xsl:if>

        <xsl:if test="language!=''">
          <tr valign="top">
            <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfLanguage']/@label"/></td>
            <td class="cellvalue"><xsl:value-of select="language/displayname"/></td>
          </tr>
        </xsl:if>
        <xsl:if test="mpaarating!=''">
          <tr valign="top">
            <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfMPAARating']/@label"/></td>
            <td class="cellvalue"><xsl:value-of select="mpaarating/displayname"/></td>
          </tr>
        </xsl:if>
        <xsl:if test="runtime!=''">
          <tr valign="top">
            <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfRunTime']/@label"/></td>
            <td class="cellvalue"><xsl:value-of select="runtime"/></td>
          </tr>
        </xsl:if>
      <xsl:if test="releasedate!=''">
         <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfReleaseDate']/@label"/></td>
          <td class="cellvalue"><xsl:value-of select="releasedate/date"/></td>
         </tr>
      </xsl:if>
        <xsl:if test="color!=''">
          <tr valign="top">
            <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfColor']/@label"/></td>
            <td class="cellvalue"><xsl:value-of select="color"/></td>
          </tr>
        </xsl:if>

<!-- Use this IMDb Rating with Votes for Movie Details section -->
       <!-- <xsl:if test="imdbrating!=''">
          <tr valign="top">
            <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfIMDBRating']/@label"/></td>
            <td class="cellvalue"><xsl:value-of select="imdbrating"/></td>
          </tr>
        </xsl:if> -->

     <xsl:if test="usertext1!=''"> 
         <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfUserText1']/@label"/></td>
          <td class="cellvalue"><xsl:value-of select="usertext1"/></td>
         </tr>
      </xsl:if>
       </table>
     </td>
   </tr>
 </table>


<!-- Use this PLOT for under Movie Details -->
<!-- <xsl:if test="plot!=''">
   <table border="0" cellspacing="1" cellpadding="0" width="100%">
     <tr><td class="subtitle" height="17" align="left">
        <xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfPlot']/@label"/>
      </td></tr>
      <tr><td class="plot">
         <xsl:call-template name="break">
           <xsl:with-param name="text" select="plot"/>
         </xsl:call-template>
      </td></tr>
    </table>
  </xsl:if> -->

  <table border="0" cellspacing="1" cellpadding="0" width="100%">
    <tr><td valign="top" class="detailsbg" width="50%">
      <table border="0" cellspacing="1" cellpadding="0" width="100%">
       <tr><td class="subtitle" height="17" align="left" colspan="2"><xsl:value-of select="/movieinfo/localizedtemplatetexts/field[@id='ttPersonalDetails']/@label"/></td></tr>

<!-- myrating used at top of template -->
     <!-- <xsl:if test="myrating!='0'">
         <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfMyRating']/@label"/></td>
          <td class="cellvalue">
          <xsl:call-template name="star">
            <xsl:with-param name="num" select="myrating"/>
          </xsl:call-template>
          </td>  
         </tr>
      </xsl:if>-->
      <xsl:if test="format!=''">
         <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfFormat']/@label"/></td>
          <td class="cellvalue"><xsl:value-of select="format/displayname"/></td>
         </tr>
      </xsl:if>
      <xsl:if test="seenit!=''">
         <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfSeenIt']/@label"/></td>
          <td class="cellvalue"><xsl:value-of select="seenit"/></td>
         </tr>
      </xsl:if>
      <xsl:if test="viewingdate!=''">
         <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfSeenWhen']/@label"/></td>
          <td class="cellvalue"><xsl:value-of select="viewingdate/date"/></td>
         </tr>
      </xsl:if>
      <xsl:if test="seenwhere!=''">
         <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfSeenWhere']/@label"/></td>
          <td class="cellvalue"><xsl:value-of select="seenwhere"/></td>
         </tr>
      </xsl:if>
      <xsl:if test="index!='0'">
         <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfIndex']/@label"/></td>
          <td class="cellvalue"><xsl:value-of select="index"/></td>
         </tr>
      </xsl:if>
      <xsl:if test="collectionstatus!=''">
         <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfCollectionStatus']/@label"/></td>
          <td class="cellvalue"><xsl:value-of select="collectionstatus"/></td>
         </tr>
      </xsl:if>
      <xsl:if test="purchasedate!=''">
         <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfPurchaseDate']/@label"/></td>
          <td class="cellvalue"><xsl:value-of select="purchasedate/date"/></td>
         </tr>
      </xsl:if>
      <xsl:if test="purchaseprice!=''">
         <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfPurchasePrice']/@label"/></td>
          <td class="cellvalue"><xsl:value-of select="purchaseprice"/></td>
         </tr>
      </xsl:if>
      <xsl:if test="condition!=''">
         <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfCondition']/@label"/></td>
          <td class="cellvalue"><xsl:value-of select="condition/displayname"/></td>
         </tr>
      </xsl:if>
      <xsl:if test="quantity>'1'">
         <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfQuantity']/@label"/></td>
          <td class="cellvalue"><xsl:value-of select="quantity"/></td>
         </tr>
      </xsl:if>
      <xsl:if test="currentvalue!=''">
         <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfCurrentValue']/@label"/></td>
          <td class="cellvalue"><xsl:value-of select="currentvalue"/></td>
         </tr>
      </xsl:if>
      <xsl:if test="store!=''">
         <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfStore']/@label"/></td>
          <td class="cellvalue"><xsl:value-of select="store/displayname"/></td>
         </tr>
      </xsl:if>
      <xsl:if test="location!=''">
         <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfLocation']/@label"/></td>
          <td class="cellvalue"><xsl:value-of select="location/displayname"/></td>
         </tr>
      </xsl:if>
      <xsl:if test="storagedevice!=''">
         <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfStorageDevice']/@label"/></td>
          <td class="cellvalue"><xsl:value-of select="storagedevice/displayname"/></td>
         </tr>
      </xsl:if>
      <xsl:if test="storageslot!=''">
         <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfStorageSlot']/@label"/></td>
          <td class="cellvalue"><xsl:value-of select="storageslot"/></td>
         </tr>
      </xsl:if>
      <xsl:if test="tapelabel!=''">
         <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfTapeLabel']/@label"/></td>
          <td class="cellvalue"><xsl:value-of select="tapelabel/displayname"/></td>
         </tr>
      </xsl:if>
      <xsl:if test="tapespeed!='N/A'">
         <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfTapeSpeed']/@label"/></td>
          <td class="cellvalue"><xsl:value-of select="tapespeed"/></td>
         </tr>
      </xsl:if>
      <xsl:if test="startpos!=''">
         <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfStartPos']/@label"/></td>
          <td class="cellvalue"><xsl:value-of select="startpos"/></td>
         </tr>
      </xsl:if>
      <xsl:if test="owner!=''">
         <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfOwner']/@label"/></td>
          <td class="cellvalue"><xsl:value-of select="owner/displayname"/></td>
         </tr>
      </xsl:if>

<!-- Moved to its own Links section at bottom -->
      <!--<xsl:if test="links!=''">
         <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfLinks']/@label"/></td>
          <td class="cellvalue">
            <xsl:apply-templates select="links"/>
          </td>
         </tr>
      </xsl:if>-->

      <xsl:if test="loan/loanedto!=''">
         <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfLoaned To']/@label"/></td>
          <td class="cellvalue"><xsl:value-of select="loan/loanedto/displayname"/></td>
         </tr>
      </xsl:if>
      <xsl:if test="loan/loandate!=''">
         <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfLoanDate']/@label"/></td>
          <td class="cellvalue"><xsl:value-of select="loan/loandate/date"/></td>
         </tr>
      </xsl:if>
      <xsl:if test="loan/duedate!=''">
         <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfDueDate']/@label"/></td>
          <td class="cellvalue"><xsl:value-of select="loan/duedate/date"/></td>
         </tr>
      </xsl:if>
      <xsl:if test="loan/returndate/date!=''">
         <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfReturnDate']/@label"/></td>
          <td class="cellvalue"><xsl:value-of select="loan/returndate/date"/></td>
         </tr>
      </xsl:if>
      <xsl:if test="loan/loannotes!=''">
         <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfLoanNotes']/@label"/></td>
          <td class="cellvalue"><xsl:value-of select="loan/loannotes"/></td>
         </tr>
      </xsl:if>
      <xsl:if test="loan/overdue!='False'">
         <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfIsOverdue']/@label"/></td>
          <td class="cellvalue"><xsl:value-of select="loan/overdue"/></td>
         </tr>
      </xsl:if>

<!-- userlookup1 not used -->
      <xsl:if test="userlookup1!=''"> 
         <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfUserLookup1']/@label"/></td>
          <td class="cellvalue"><xsl:apply-templates select="userlookup1"/></td>
         </tr>
      </xsl:if>

<!-- userlookup2 not used  -->
     <xsl:if test="userlookup2!=''"> 
         <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfUserLookup2']/@label"/></td>
          <td class="cellvalue"><xsl:apply-templates select="userlookup2"/></td>
         </tr>
      </xsl:if>

<!-- usertext1 used for MPAA ratings reasons now in Movie Details -->
     <!-- <xsl:if test="usertext1!=''"> 
         <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfUserText1']/@label"/></td>
          <td class="cellvalue"><xsl:value-of select="usertext1"/></td>
         </tr>
      </xsl:if> -->

<!-- usertext2 used for Tagline under Plot -->
     <!-- <xsl:if test="usertext2!=''"> 
         <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfUserText2']/@label"/></td>
          <td class="cellvalue"><xsl:value-of select="usertext2"/></td>
         </tr>
      </xsl:if> -->

      <xsl:if test="links!=''">
        <xsl:if test="links//*[urltype='URL']!=''">
         <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfLinks']/@label"/></td>
          <td class="cellvalue">
            <xsl:apply-templates select="links//*[urltype='URL']"/>
          </td>
         </tr>
        </xsl:if>
        <xsl:if test="(links//*[urltype='Movie']!='')">
         <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfMovieLinks']/@label"/></td>
          <td class="cellvalue">
            <xsl:apply-templates select="(links//*[urltype='Movie'])"/>
          </td>
         </tr>
        </xsl:if>
        <xsl:if test="(links//*[urltype='Other']!='')">
         <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfOtherLinks']/@label"/></td>
          <td class="cellvalue">
            <xsl:apply-templates select="(links//*[urltype='Other'])"/>
          </td>
         </tr>
        </xsl:if>
      </xsl:if>

     </table>
    </td>
    <td valign="top" class="detailsbg">
      <table border="0" cellspacing="1" cellpadding="0" width="100%">
       <tr><td class="subtitle" height="17" align="left" colspan="2"><xsl:value-of select="/movieinfo/localizedtemplatetexts/field[@id='ttProductDetails']/@label"/></td></tr>
      <xsl:if test="edition!=''">
         <tr valign="top">
           <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfEdition']/@label"/></td>
           <td class="cellvalue"><xsl:value-of select="edition/displayname"/></td>
         </tr>
      </xsl:if>

<!-- Region Code without graphics -->
<!--   <xsl:if test="regions/region!=''">
        <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1">
            <xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfRegion']/@label"/>
          </td>
          <td class="cellvalue">
             <xsl:for-each select="regions/region">
               <xsl:value-of select="displayname"/>
               <xsl:if test="position()!=last()"><xsl:text>; </xsl:text></xsl:if>
             </xsl:for-each>
          </td>
        </tr>
      </xsl:if> -->

<!-- Region Code with graphics -->
   <xsl:if test="regions/region!=''">
        <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1">
            <xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfRegion']/@label"/>
          </td>
          <td class="cellvalue">
             <xsl:for-each select="regions/region">
               <xsl:if test="contains(displayname, '1')">
                 <img src="DCimages/Region/r1.gif" width="18" height="18"/><xsl:text>  </xsl:text>
               </xsl:if>
               <xsl:if test="contains(displayname, '2')">
                 <img src="DCimages/Region/r2.gif" width="18" height="18"/><xsl:text>  </xsl:text>
               </xsl:if>
               <xsl:if test="contains(displayname, '3')">
                 <img src="DCimages/Region/r3.gif" width="18" height="18"/><xsl:text>  </xsl:text>
               </xsl:if>
		<xsl:if test="contains(displayname, '4')">
                 <img src="DCimages/Region/r4.gif" width="18" height="18"/><xsl:text>  </xsl:text>
               </xsl:if>
               <xsl:if test="contains(displayname, '5')">
                 <img src="DCimages/Region/r5.gif" width="18" height="18"/><xsl:text>  </xsl:text>
               </xsl:if>
               <xsl:if test="contains(displayname, '6')">
                 <img src="DCimages/Region/r6.gif" width="18" height="18"/><xsl:text>  </xsl:text>
               </xsl:if>
		<xsl:if test="contains(displayname, 'Any Region')">
                 <img src="DCimages/Region/r0.gif" width="18" height="18"/><xsl:text>  </xsl:text>
               </xsl:if>
               <xsl:value-of select="displayname"/>
               <xsl:if test="position()!=last()"><br/></xsl:if>
             </xsl:for-each>
          </td>
        </tr>
      </xsl:if> 
      
<!-- Screen Ratio without graphics -->
<!--  <xsl:if test="ratios/ratio!=''">
        <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1">
            <xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfRatio']/@label"/>
          </td>
          <td class="cellvalue">
             <xsl:for-each select="ratios/ratio">
               <xsl:value-of select="displayname"/>
               <xsl:if test="position()!=last()"><br/></xsl:if>
             </xsl:for-each>
          </td>
        </tr>
      </xsl:if> -->

<!-- Screen Ratio with graphics -->
      <xsl:if test="ratios/ratio!=''">
        <tr valign="top" height="10">
          <td class="celllabel" width="10%" nowrap="1">
            <xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfRatio']/@label"/>
          </td>
          <td class="cellvalue">
             <xsl:for-each select="ratios/ratio">
               <xsl:if test="contains(displayname, '1.33') or contains(displayname, '4:3')">
                 <img src="DCimages/Screen_Ratio/4x3.gif"/><xsl:text>  </xsl:text>
               </xsl:if>
               <xsl:if test="contains(displayname, '1.85') or contains(displayname, '16:9') or contains(displayname, '1.75') or contains(displayname, '1.77') or contains(displayname, '1.78')">
                 <img src="DCimages/Screen_Ratio/16x9.gif"/><xsl:text>  </xsl:text>
               </xsl:if>
               <xsl:if test="contains(displayname, '2.35') or contains(displayname, '2.4')">
                 <img src="DCimages/Screen_Ratio/16x9b.gif"/><xsl:text>  </xsl:text>
               </xsl:if>
		<xsl:if test="contains(displayname, '1.66')">
                 <img src="DCimages/Screen_Ratio/4x3b.gif"/><xsl:text>  </xsl:text>
               </xsl:if>
               <xsl:value-of select="displayname"/>
               <xsl:if test="position()!=last()"><br/></xsl:if>
             </xsl:for-each>
          </td>
        </tr>
      </xsl:if>

      <xsl:if test="layersnum!='4'">
         <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfLayers']/@label"/></td>
          <td class="cellvalue"><xsl:value-of select="layers"/></td>
         </tr>
      </xsl:if>
      <xsl:if test="upc!=''">
         <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfUPC']/@label"/></td>
          <td class="cellvalue"><xsl:value-of select="upc"/></td>
         </tr>
      </xsl:if>
      <xsl:if test="chapters!='0'">
         <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfChapters']/@label"/></td>
          <td class="cellvalue"><xsl:value-of select="chapters"/></td>
         </tr>
      </xsl:if>
      <xsl:if test="dvdreleasedate!=''">
         <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfDVDReleaseDate']/@label"/></td>
          <td class="cellvalue"><xsl:value-of select="dvdreleasedate/date"/></td>
         </tr>
      </xsl:if>
      <xsl:if test="subtitles/subtitle!=''">
        <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1">
            <xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfSubtitles']/@label"/>
          </td>
          <td class="cellvalue">
             <xsl:for-each select="subtitles/subtitle">
               <xsl:value-of select="displayname"/>
               <xsl:if test="position()!=last()"><xsl:text>; </xsl:text></xsl:if>
             </xsl:for-each>
          </td>
        </tr>
      </xsl:if>
      <xsl:if test="package!=''">
         <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfPackage']/@label"/></td>
          <td class="cellvalue"><xsl:value-of select="package/displayname"/></td>
         </tr>
      </xsl:if>
      <xsl:if test="features/feature!=''">
        <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1">
            <xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfFeatures']/@label"/>
          </td>
          <td class="cellvalue">
            <table cellspacing="0" cellpadding="0">
               <xsl:for-each select="features/feature">
                 <tr><td><xsl:value-of select="displayname"/></td></tr>
               </xsl:for-each>
             </table>
          </td>
        </tr>
      </xsl:if>
      <xsl:if test="audios/audio!=''">
        <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1">
            <xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfAudio']/@label"/>
          </td>
          <td class="cellvalue">
             <xsl:for-each select="audios/audio">
               <xsl:if test="contains(displayname, 'THX')">
                 <img src="DCimages/Audio/THX.gif"/><xsl:text>  </xsl:text>
               </xsl:if>
               <xsl:if test="contains(displayname, 'Dolby Digital') or contains(displayname, 'DD')">
                 <img src="DCimages/Audio/dolbydigital.gif"/><xsl:text>  </xsl:text>
               </xsl:if>
               <xsl:if test="contains(displayname, 'DTS 5')">
                 <img src="DCimages/Audio/dts.gif"/><xsl:text>  </xsl:text>
               </xsl:if>
               <xsl:if test="contains(displayname, 'DTS 6') or contains(displayname, 'DTS ES')">
                 <img src="DCimages/Audio/dts-es.gif"/><xsl:text>  </xsl:text>
                 <img src="DCimages/Audio/dd51ex.gif"/><xsl:text>  </xsl:text>
               </xsl:if>
               <xsl:if test="contains(displayname, 'Dolby Surround')">
                 <img src="DCimages/Audio/dolbysurround.gif"/><xsl:text>  </xsl:text>
               </xsl:if>

               <xsl:if test="contains(displayname, '5.1')">
                 <xsl:choose>
                   <xsl:when test="contains(displayname, 'EX')">
                     <img src="DCimages/Audio/dd51ex.gif"/>
                   </xsl:when>
                   <xsl:otherwise>
                     <img src="DCimages/Audio/dd51.gif"/>
                   </xsl:otherwise>
                 </xsl:choose><xsl:text>  </xsl:text>
               </xsl:if>
               <xsl:if test="contains(displayname, '5.0')">
                 <img src="DCimages/Audio/dd50.gif"/><xsl:text>  </xsl:text>
               </xsl:if>
               <xsl:if test="contains(displayname, '4.1')">
                 <img src="DCimages/Audio/dd41.gif"/><xsl:text>  </xsl:text>
               </xsl:if>
               <xsl:if test="contains(displayname, '4.0')">
                 <img src="DCimages/Audio/dd40.gif"/><xsl:text>  </xsl:text>
               </xsl:if>
               <xsl:if test="contains(displayname, '2.0')">
                 <xsl:choose>
                   <xsl:when test="contains(displayname, 'Surround')">
                     <img src="DCimages/Audio/dd20s.gif"/>
                   </xsl:when>
                   <xsl:when test="contains(displayname, 'Mono')">
                     <img src="DCimages/Audio/dd10.gif"/>
                   </xsl:when>
                   <xsl:otherwise>
                     <img src="DCimages/Audio/dd20.gif"/>
                   </xsl:otherwise>
                 </xsl:choose><xsl:text>  </xsl:text>
               </xsl:if>
               <xsl:if test="contains(displayname, '1.0') or contains(displayname, 'Mono')">
                 <img src="DCimages/Audio/dd10.gif"/><xsl:text>  </xsl:text>
               </xsl:if>
               <xsl:if test="contains(displayname, '2.0') or contains(displayname, 'Stereo')">
                 <img src="DCimages/Audio/dd20.gif"/><xsl:text>  </xsl:text>
               </xsl:if>
               <xsl:value-of select="displayname"/>
               <xsl:if test="position()!=last()"><br/></xsl:if>
             </xsl:for-each></td>
        </tr>
      </xsl:if>
      <xsl:if test="nritems!=''">
        <tr valign="top">
          <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfNrItems']/@label"/></td>
          <td class="cellvalue"><xsl:value-of select="nritems"/></td>
         </tr>
      </xsl:if>
     </table></td>
   </tr>
</table>

<!--  <xsl:if test="(imdbnum!='') or (siteurl!='') or (tapelabel!='') or (links!='')">
      <table width="100%" cellpadding="0" cellspacing="1" border="0">
        <tr><td class="subtitle" height="17"><xsl:value-of select="/movieinfo/moviemetadata/field[@id='dfLinks']/@label"/></td></tr>
      <xsl:if test="links!=''">
         <tr valign="top">
          <td class="cellalt2">
            <xsl:apply-templates select="links"/>
          </td>
         </tr>
      </xsl:if>
       </table> 
   </xsl:if> -->

    <table border="0" cellspacing="1" cellpadding="0" width="100%">
      <tr><td class="DaveC" height="17" align="right">Template design by DaveC, modified by kbrown3</td></tr>
    </table>

 </td>
</tr>
</table>

</xsl:template>
</xsl:stylesheet>


<!-- Headers like 'Personal Details' cannot be customized or skipped --> 

