<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output method="html"/>

<xsl:param name="pageheight">200</xsl:param>
<xsl:param name="pagewidth">400</xsl:param>

<xsl:include href="shared_templates.xsl"/>


<!-- the main template -->
<xsl:template match="/">
  <HEAD>
    <LINK REL="StyleSheet" TYPE="text/css" HREF="view_item_details_wizd_music.css"></LINK>
    <META http-equiv="Content-Type" content="text/html; charset=utf-8"/>
	<META SYABAS-COMPACT="OFF"/>
	<META SYABAS-BACKGROUND="/blue3.jpg"/>
    <TITLE>Music</TITLE>
  </HEAD>
  <BODY  background="/blue3.jpg" marginheight="20" marginwidth="0" leftmargin="0" topmargin="20" border="0"  bgcolor="#056689" focuscolor="00CC99">
    <xsl:apply-templates/>
  </BODY>
</xsl:template>

<xsl:template match="details">
  <xsl:apply-templates select="detail"/>
</xsl:template>


<xsl:template match="detail">
           <tr>
             <xsl:if test="@type='track' or @type='subtrack' or @type='header'">
               <td width="10" class="position">
                   <xsl:value-of select="position"/>
               </td>
               <td class="{@type}" width="80%">
                 <xsl:if test="artists!=ancestor::music/artists and artists!=''">
                   <xsl:for-each select="artists/artist">
                      <xsl:value-of select="displayname"/>
                      <xsl:if test="position()!=last()"><xsl:text>; </xsl:text></xsl:if>
                   </xsl:for-each>
                   <xsl:text> - </xsl:text>
                 </xsl:if>
                 
                 <xsl:value-of select="title"/>
                 <xsl:if test="notes!=''">
                   <i><xsl:value-of select="notes"/></i>
                 </xsl:if></td> 
              <td width="1" class="extra">
                 <xsl:if test="lyricsfile!=''">
                   <a href="{lyricsfile}" class="link">Lyrics</a>
                 </xsl:if>
              </td> 
              <td width="1" class="extra">
                 <xsl:if test="audiofile!=''">
                   <a href="{audiofile}" class="link">Play</a>
                 </xsl:if>
              </td> 
              <td width="1" class="extra">
                 <xsl:if test="bpm!='-1'">
                   <i><xsl:value-of select="bpm"/></i>
                 </xsl:if>
              </td>
              <td width="30" class="length">
               <xsl:if test="length!='00:00'">
                 <xsl:value-of select="length"/>
               </xsl:if>
              </td>
            </xsl:if>

            <xsl:if test="@type='disc' and (count(../detail) > 1)">
              <td colspan="5"  class="{@type}" width="90%">
                 <xsl:value-of select="title"/>
              </td>
              <td width="20" class="disclength">
               <xsl:if test="length!='00:00'">
                 <xsl:value-of select="length"/>
               </xsl:if>
              </td>
            </xsl:if>
         </tr>
         <xsl:apply-templates select="details"/>
</xsl:template>


<xsl:template match="music">
<table border="0" cellspacing="0" cellpadding="0" width="100%" class="maintable"><tr><td>
<table border="0" cellspacing="1" cellpadding="0" width="100%">
  <tr>
    <td class="maintitle"> 
    <xsl:for-each select="artists/artist">
       <xsl:value-of select="displayname"/>
       <xsl:if test="position()!=last()"><xsl:text>; </xsl:text></xsl:if>
    </xsl:for-each>
   <xsl:text> - </xsl:text>
   <xsl:value-of select="title"/>

   <xsl:if test="releasedate/year!=''">
   <span class="year">
     <xsl:text> (</xsl:text><xsl:value-of select="releasedate/year"/>)
   </span>
   </xsl:if></td></tr>
</table>
<table border="0" cellspacing="1" cellpadding="0" width="100%">
  <tr>
  <xsl:if test="coverfront!=''">
    <td class="subtitle" height="17"><xsl:value-of select="/musicinfo/musicmetadata/field[@id='dfCoverFront']/@label"/></td>
  </xsl:if>
  <td align="left" class="subtitle" height="17"><xsl:value-of select="/musicinfo/localizedtemplatetexts/field[@id='ttAlbum']/@label"/></td>
  <xsl:if test="coverback!=''">
  <td align="left" class="subtitle" height="17"><xsl:value-of select="/musicinfo/musicmetadata/field[@id='dfCoverBack']/@label"/></td>
  </xsl:if>
  </tr>
  <tr valign="top">
    <xsl:if test="coverfront!=''">
      <td width="1" class="detailsbg">
	    <xsl:variable name="coverf" select="substring-after(coverfront, 'Images')"/>
		<a href="/MusicImages/{$coverf}?action=ImageView&amp;option=fit">
          <xsl:choose>
            <xsl:when test="xthumbfilepath!=''">
			  <xsl:variable name="thumbf" select="substring-after(thumbfilepath, 'Thumbnails')"/>
              <img src="/MusicThumbnails/{$thumbf}" border="0"/>
              <img src="{thumbfilepath}" border="0"/>
            </xsl:when>
            <xsl:otherwise>
              <img src="/MusicImages/{$coverf}" border="0" height="200"/>
            </xsl:otherwise>
          </xsl:choose>
        </a>
      </td>
    </xsl:if>
    <td class="detailsbg">
      <table border="0" cellspacing="1" cellpadding="0" width="100%">
         <tr><td class="celllabel" width="10%" nowrap="1">
           <xsl:value-of select="/musicinfo/musicmetadata/field[@id='dfArtist']/@label"/>
         </td>
         <td class="cellvalue">
             <xsl:for-each select="artists/artist">
               <xsl:apply-templates select="."/>
               <xsl:if test="position()!=last()"><xsl:text>; </xsl:text></xsl:if>
             </xsl:for-each>
         </td></tr>

         <xsl:if test="conductor!=''">
           <tr><td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/musicinfo/musicmetadata/field[@id='dfConductor']/@label"/></td>
           <td class="cellvalue"><xsl:value-of select="conductor/displayname"/></td></tr>
         </xsl:if>

         <xsl:if test="orchestra!=''">
           <tr><td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/musicinfo/musicmetadata/field[@id='dfOrchestra']/@label"/></td>
           <td class="cellvalue"><xsl:value-of select="orchestra/displayname"/></td></tr>
         </xsl:if>
        
         <xsl:if test="length!='00:00'">
           <tr><td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/musicinfo/musicmetadata/field[@id='dfLength']/@label"/></td>
           <td class="cellvalue"><xsl:value-of select="length"/></td></tr>
         </xsl:if>

         <xsl:if test="format/displayname!=''">
           <tr><td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/musicinfo/musicmetadata/field[@id='dfFormat']/@label"/></td>
           <td class="cellvalue"><xsl:value-of select="format/displayname"/></td></tr>
         </xsl:if>

         <xsl:if test="genres!=''">
          <tr><td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/musicinfo/musicmetadata/field[@id='dfGenre']/@label"/></td>
          <td class="cellvalue">
             <xsl:for-each select="genres/genre">
               <xsl:value-of select="displayname"/>
               <xsl:if test="position()!=last()"><xsl:text>; </xsl:text></xsl:if>
             </xsl:for-each>
          </td></tr>
        </xsl:if>
        
        <xsl:if test="label/displayname!=''">
           <tr><td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/musicinfo/musicmetadata/field[@id='dfLabel']/@label"/></td>
           <td class="cellvalue"><xsl:apply-templates select="label"/></td></tr>
         </xsl:if>

         <xsl:if test="labelnumber!=''">
           <tr><td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/musicinfo/musicmetadata/field[@id='dfLabelNumber']/@label"/></td>
           <td class="cellvalue"><xsl:value-of select="labelnumber"/></td></tr>
         </xsl:if>

         <xsl:if test="upc!=''">
           <tr><td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/musicinfo/musicmetadata/field[@id='dfUPC']/@label"/></td>
           <td class="cellvalue"><xsl:value-of select="upc"/></td></tr>
         </xsl:if>

         <xsl:if test="index!='0'">
           <tr><td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/musicinfo/musicmetadata/field[@id='dfIndex']/@label"/></td>
           <td class="cellvalue"><xsl:value-of select="index"/></td></tr>
         </xsl:if>

         <xsl:if test="collectionstatus!=''">
           <tr><td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/musicinfo/musicmetadata/field[@id='dfCollectionStatus']/@label"/></td>
           <td class="cellvalue"><xsl:value-of select="collectionstatus"/></td></tr>
         </xsl:if>

         <xsl:if test="packaging!=''">
           <tr><td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/musicinfo/musicmetadata/field[@id='dfPackaging']/@label"/></td>
           <td class="cellvalue"><xsl:value-of select="packaging/displayname"/></td></tr>
         </xsl:if>

      </table>
    </td>

    <xsl:if test="coverback!=''">
      <td align="right" width="1" class="detailsbg">
	    <xsl:variable name="coverb" select="substring-after(coverback, 'Images')"/>
		<a href="/MusicImages/{$coverb}?action=ImageView&amp;option=fit">
            <img src="/MusicImages/{$coverb}" border="0" height="200"/>
<!--          <img src="{coverback}" border="0" width="{round(($pagewidth * 2) div 10)}"/> -->
        </a>
      </td>
    </xsl:if>
   </tr>
 </table>

<xsl:if test="musicians!='' or credits!=''">
  <table border="0" cellspacing="1" cellpadding="0" width="100%">
    <tr>
      <xsl:if test="musicians!=''">
      <td valign="top" class="detailsbg">
        <table border="0" cellspacing="1" cellpadding="0" width="100%">
         <tr>
          <td colspan="2" class="subtitle" height="17"><xsl:value-of select="/musicinfo/localizedtemplatetexts/field[@id='ttMusicians']/@label"/></td></tr>
          <xsl:for-each select="musicians/musician">
           <tr>
               <xsl:variable name="role" select="roleid"/>
               <xsl:choose>
                 <xsl:when test="instrument!=''">
                   <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="instrument/displayname"/></td>
                 </xsl:when>
                 <xsl:otherwise>
                   <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/musicinfo/musicmetadata/field[@id=$role]/@label"/></td>
                  </xsl:otherwise>
               </xsl:choose>
               <td class="cellvalue">
                  <xsl:apply-templates select="person"/></td>
             </tr>
         </xsl:for-each>
       </table></td>
    </xsl:if>
    <xsl:if test="credits!=''">
      <td valign="top" class="detailsbg">
        <table border="0" cellspacing="1" cellpadding="0" width="100%">
         <tr>
          <td colspan="2" class="subtitle" height="17"><xsl:value-of select="/musicinfo/localizedtemplatetexts/field[@id='ttCredits']/@label"/></td></tr>
  
          <xsl:for-each select="credits/credit">
           <tr>
               <xsl:variable name="role" select="roleid"/>
               <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/musicinfo/musicmetadata/field[@id=$role]/@label"/></td>
               <td class="cellvalue">
                  <xsl:apply-templates select="person"/></td>
             </tr>
         </xsl:for-each>
       </table></td>
     </xsl:if>
    </tr>
  </table>
</xsl:if>
  <table border="0" cellspacing="1" cellpadding="0" width="100%">
    <tr><td colspan="6" class="subtitle" height="17"><xsl:value-of select="/musicinfo/localizedtemplatetexts/field[@id='ttTrackList']/@label"/></td></tr>
    <xsl:apply-templates select="details"/>
  </table>

  <table border="0" cellspacing="1" cellpadding="0" width="100%">
    <tr>
      <td valign="top" class="detailsbg" width="50%">
        <table border="0" cellspacing="1" cellpadding="0" width="100%">
         <tr><td colspan="2" class="subtitle" height="17"><xsl:value-of select="/musicinfo/localizedtemplatetexts/field[@id='ttPersonalDetails']/@label"/></td></tr>

         <xsl:if test="purchasedate!=''">
           <tr><td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/musicinfo/musicmetadata/field[@id='dfPurchaseDate']/@label"/></td>
           <td class="cellvalue"><xsl:value-of select="purchasedate/date"/></td></tr>
         </xsl:if>

         <xsl:if test="substring(purchaseprice,2)!='0.00'">
           <tr><td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/musicinfo/musicmetadata/field[@id='dfPrice']/@label"/></td>
           <td class="cellvalue"><xsl:value-of select="purchaseprice"/></td></tr>
         </xsl:if>

         <xsl:if test="store!=''">
           <tr><td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/musicinfo/musicmetadata/field[@id='dfStore']/@label"/></td>
           <td class="cellvalue"><xsl:apply-templates select="store"/></td></tr>
         </xsl:if>

         <xsl:if test="condition!=''">
            <tr valign="top">
             <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/musicinfo/musicmetadata/field[@id='dfCondition']/@label"/></td>
             <td class="cellvalue"><xsl:value-of select="condition/displayname"/></td>
            </tr>
         </xsl:if>
         <xsl:if test="quantity>'1'">
            <tr valign="top">
             <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/musicinfo/musicmetadata/field[@id='dfQuantity']/@label"/></td>
             <td class="cellvalue"><xsl:value-of select="quantity"/></td>
            </tr>
         </xsl:if>
         <xsl:if test="currentvalue!=''">
            <tr valign="top">
             <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/musicinfo/musicmetadata/field[@id='dfCurrentValue']/@label"/></td>
             <td class="cellvalue"><xsl:value-of select="currentvalue"/></td>
            </tr>
         </xsl:if>

         <xsl:if test="rating!=''">
           <tr><td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/musicinfo/musicmetadata/field[@id='dfRating']/@label"/></td>
           <td class="cellvalue"><xsl:value-of select="rating"/></td></tr>
         </xsl:if>

         <xsl:if test="owner!=''">
           <tr><td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/musicinfo/musicmetadata/field[@id='dfOwner']/@label"/></td>
           <td class="cellvalue"><xsl:value-of select="owner/displayname"/></td></tr>
         </xsl:if>

         <xsl:if test="location!=''">
           <tr><td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/musicinfo/musicmetadata/field[@id='dfLocation']/@label"/></td>
           <td class="cellvalue"><xsl:value-of select="location/displayname"/></td></tr>
         </xsl:if>

         <xsl:if test="storagedevice!=''">
           <tr valign="top">
            <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/musicinfo/musicmetadata/field[@id='dfStorageDevice']/@label"/></td>
            <td class="cellvalue"><xsl:value-of select="storagedevice/displayname"/></td></tr>
         </xsl:if>
         <xsl:if test="storageslot!=''">
           <tr valign="top">
            <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/musicinfo/musicmetadata/field[@id='dfStorageSlot']/@label"/></td>
            <td class="cellvalue"><xsl:value-of select="storageslot"/></td></tr>
         </xsl:if>

         <xsl:if test="albumtext1!=''">
           <tr><td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/musicinfo/musicmetadata/field[@id='dfAlbumText1']/@label"/></td>
           <td class="cellvalue"><xsl:value-of select="albumtext1"/></td></tr>
         </xsl:if>

         <xsl:if test="albumtext2!=''">
           <tr><td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/musicinfo/musicmetadata/field[@id='dfAlbumText2']/@label"/></td>
           <td class="cellvalue"><xsl:value-of select="albumtext2"/></td></tr>
         </xsl:if>

         <xsl:if test="albumlookup1!=''">
           <tr><td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/musicinfo/musicmetadata/field[@id='dfAlbumLookup1']/@label"/></td>
           <td class="cellvalue"><xsl:value-of select="albumlookup1/displayname"/></td></tr>
         </xsl:if>

         <xsl:if test="albumlookup2!=''">
           <tr><td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/musicinfo/musicmetadata/field[@id='dfAlbumLookup2']/@label"/></td>
           <td class="cellvalue"><xsl:value-of select="albumlookup2/displayname"/></td></tr>
         </xsl:if>

        <xsl:if test="links!=''">
           <tr valign="top">
            <td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/musicinfo/musicmetadata/field[@id='dfLinks']/@label"/></td>
            <td class="cellvalue">
              <xsl:apply-templates select="links"/>
            </td>
           </tr>
        </xsl:if>

       </table>
      </td>

      <td valign="top" class="detailsbg" width="50%">
        <table border="0" cellspacing="1" cellpadding="0" width="100%">
         <tr><td colspan="2" class="subtitle" height="17"><xsl:value-of select="/musicinfo/localizedtemplatetexts/field[@id='ttDetails']/@label"/></td></tr>
         
         <xsl:if test="studio!=''">
           <tr><td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/musicinfo/musicmetadata/field[@id='dfStudio']/@label"/></td>
           <td class="cellvalue"><xsl:value-of select="studio/displayname"/></td></tr>
         </xsl:if>

         <xsl:if test="tourname!=''">
           <tr><td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/musicinfo/musicmetadata/field[@id='dfTourname']/@label"/></td>
           <td class="cellvalue"><xsl:value-of select="tourname"/></td></tr>
         </xsl:if>

         <xsl:if test="live!=''">
           <tr><td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/musicinfo/musicmetadata/field[@id='dfLive']/@label"/></td>
           <td class="cellvalue"><xsl:value-of select="live"/></td></tr>
         </xsl:if>

         <xsl:if test="recordingdate!=''">
           <tr><td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/musicinfo/musicmetadata/field[@id='dfRecordingDate']/@label"/></td>
           <td class="cellvalue"><xsl:value-of select="recordingdate/date"/></td></tr>
         </xsl:if>

         <xsl:if test="spars!=''">
           <tr><td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/musicinfo/musicmetadata/field[@id='dfSpars']/@label"/></td>
           <td class="cellvalue"><xsl:value-of select="spars"/></td></tr>
         </xsl:if>

         <xsl:if test="rare!=''">
           <tr><td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/musicinfo/musicmetadata/field[@id='dfRare']/@label"/></td>
           <td class="cellvalue"><xsl:value-of select="rare"/></td></tr>
         </xsl:if>

         <xsl:if test="country!=''">
           <tr><td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/musicinfo/musicmetadata/field[@id='dfCountry']/@label"/></td>
           <td class="cellvalue"><xsl:value-of select="country/displayname"/></td></tr>
         </xsl:if>
         
         <xsl:if test="sounds!=''">
          <tr><td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/musicinfo/musicmetadata/field[@id='dfSound']/@label"/></td>
          <td class="cellvalue">
             <xsl:for-each select="sounds/sound">
               <xsl:value-of select="displayname"/>
               <xsl:if test="position()!=last()"><xsl:text>; </xsl:text></xsl:if>
             </xsl:for-each>
          </td></tr>
        </xsl:if>
         
         <xsl:if test="extras!=''">
          <tr><td class="celllabel" width="10%" nowrap="1"><xsl:value-of select="/musicinfo/musicmetadata/field[@id='dfExtras']/@label"/></td>
          <td class="cellvalue">
             <xsl:for-each select="extras/extra">
               <xsl:value-of select="displayname"/>
               <xsl:if test="position()!=last()"><xsl:text>; </xsl:text></xsl:if>
             </xsl:for-each></td></tr>
        </xsl:if>
         
       </table></td>
    </tr>
  </table>
  
    <xsl:if test="notes!=''">
      <table border="0" cellspacing="1" cellpadding="0" width="100%">
        <tr><td class="subtitle" height="17" align="left"><xsl:value-of select="/musicinfo/musicmetadata/field[@id='dfNotes']/@label"/></td></tr>
        <tr><td class="cellnotes">
         <xsl:call-template name="break">
             <xsl:with-param name="text" select="notes"/>
           </xsl:call-template>
        </td></tr>
      </table>
    </xsl:if>
  </td></tr></table>
</xsl:template>

</xsl:stylesheet>


