﻿<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output method="html"/>

<xsl:param name="details">true</xsl:param>
<xsl:param name="absolutelinks">false</xsl:param>
<xsl:param name="thumbnails">false</xsl:param>

<xsl:template name="extractfileextension">
  <xsl:param name="filepath" select="."/>
  
  <xsl:choose>
    <xsl:when test="substring-after($filepath, '.') != ''">
      <xsl:call-template name="extractfileextension">
        <xsl:with-param name="filepath" select="substring-after($filepath, '.')"/>
      </xsl:call-template>  
    </xsl:when>
    <xsl:otherwise>
      <xsl:variable name="imagetype" select="$filepath"/>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<!-- the main template -->
<xsl:template match="/">
  <HEAD>
    <LINK REL="StyleSheet" TYPE="text/css" HREF="exportindex_item_wizd.css"></LINK>
    <META http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
    <TITLE>Music List</TITLE>
  </HEAD>
  <BODY  marginheight="25" marginwidth="0" leftmargin="0" topmargin="25" border="0" link="#000000" text="#000000" vlink="#000000" alink="#000000" bgcolor="#ffffff" focuscolor="00CC99" onloadset="L1">
    <table cellspacing="1">
    <xsl:apply-templates/>
    </table>
  </BODY>
</xsl:template>

<xsl:template match="music">

 <tr>
   <xsl:if test="$thumbnails = 'true'">
   <td>
     <xsl:if test="coverfront!=''">
        <xsl:choose>
          <xsl:when test="$details = 'true'">
            <a href="details/{id}.html"><img src="images/{id}t.jpg" border="0"/></a>
          </xsl:when>
          <xsl:otherwise>
            <xsl:choose>
              <xsl:when test="$absolutelinks = 'true'">
                <a href="file:///{coverfront}"><img src="images/{id}t.jpg" border="0"/></a>
              </xsl:when>
              <xsl:otherwise>
                <a href="images/{id}f.jpg"><img src="images/{id}t.jpg" border="0"/></a>
              </xsl:otherwise>
            </xsl:choose>
          </xsl:otherwise>
        </xsl:choose>
     </xsl:if>
   </td>
   </xsl:if>


   <td class="value">
     <xsl:for-each select="artists/artist">
       <xsl:value-of select="displayname"/>
       <xsl:if test="position()!=last()"><br/></xsl:if>
    </xsl:for-each>
  </td>
   
   <td class="value">
  <xsl:choose>
    <xsl:when test="$details = 'true'">
      <a href="details/{id}.html"><xsl:value-of select="title"/></a>
    </xsl:when>
    <xsl:otherwise>
      <xsl:value-of select="title"/>
    </xsl:otherwise>
  </xsl:choose>

   <xsl:if test="subtitle!=''">
     <br/><i><xsl:value-of select="subtitle"/></i>
   </xsl:if>
   </td>

   <td class="value"><xsl:value-of select="releasedate/year"/></td>

   <td class="value">
     <xsl:for-each select="genres/genre">
       <xsl:value-of select="displayname"/>
       <xsl:if test="position()!=last()"><br/></xsl:if>
     </xsl:for-each>
   </td>
   
   <td class="value"><xsl:value-of select="format/displayname"/></td>
  </tr>
 
</xsl:template>

<xsl:template match="navigation">
  <tr><td class="value"></td><td class="value"></td><td>
  <xsl:if test="count(pagelink) > 1">
  <xsl:for-each select="pagelink">
    <xsl:choose>
      <xsl:when test="@url!=''">      
<a href="{@url}" class="link"><xsl:value-of select="@pagenum"/></a>
      </xsl:when>
      <xsl:otherwise>
	<xsl:value-of select="@pagenum"/>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="position()!=last()"><xsl:text> - </xsl:text></xsl:if>
  </xsl:for-each>  
  <xsl:choose>
    <xsl:when test="firstlink/@url!=''">
      <a href="{firstlink/@url}" class="link"><xsl:value-of select="/musicinfo/localizedtemplatetexts/field[@id='ttFirst']/@label"/></a>|
    </xsl:when>
    <xsl:otherwise>
      <xsl:value-of select="/musicinfo/localizedtemplatetexts/field[@id='ttFirst']/@label"/>|
    </xsl:otherwise>
  </xsl:choose>   
  <xsl:choose>
    <xsl:when test="prevlink/@url!=''">
      <a href="{prevlink/@url}" class="link"><xsl:value-of select="/musicinfo/localizedtemplatetexts/field[@id='ttPrev']/@label"/></a>|
    </xsl:when>
    <xsl:otherwise>
      <xsl:value-of select="/musicinfo/localizedtemplatetexts/field[@id='ttPrev']/@label"/>|
    </xsl:otherwise>
  </xsl:choose>   
  <xsl:choose>
    <xsl:when test="nextlink/@url!=''">
      <a href="{nextlink/@url}" class="link"><xsl:value-of select="/musicinfo/localizedtemplatetexts/field[@id='ttNext']/@label"/></a>|
    </xsl:when>
    <xsl:otherwise>
      <xsl:value-of select="/musicinfo/localizedtemplatetexts/field[@id='ttNext']/@label"/>|
    </xsl:otherwise>
  </xsl:choose>   
  <xsl:choose>
    <xsl:when test="lastlink/@url!=''">
      <a href="{lastlink/@url}" class="link"><xsl:value-of select="/musicinfo/localizedtemplatetexts/field[@id='ttLast']/@label"/></a>
    </xsl:when>
    <xsl:otherwise>
      <xsl:value-of select="/musicinfo/localizedtemplatetexts/field[@id='ttLast']/@label"/>
    </xsl:otherwise>
  </xsl:choose> 
 </xsl:if>
 </td></tr>
</xsl:template>

</xsl:stylesheet>

